<?php
require("../conexion.php");
require("Idioma.php");

include_once("../conexion.php");
$objetoConexion = new conexion;
$conexion = $objetoConexion->conectar();

include_once("idioma.php");
$objetoIdioma = new idioma($conexion, 0, '', '');
$listarIdioma = $objetoIdioma->listar(0);
header("Content-Type: application/xls");
header("Content-Disposition: attachment; filename=Idiomas.xls");
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Idiomaes</title>
</head>

<body>
    <table class="table table-striped table-dark">
        <thead>
            <th scope="col"></th>
            <th scope="col">Nombre</th>
            <th scope="col">Estado</th>
            <th scope="col"></th>
        </thead>
        <tbody id="content">

            <?php
            while ($unRegistro = mysqli_fetch_array($listarIdioma)) {
                ?>
                <tr>
                    <td class="form-control">
                        <?php echo $unRegistro["IdIdioma"]; ?>
                    </td>
                    <td class="form-control">
                        <?php echo $unRegistro["NombreIdioma"]; ?>
                    </td>
                    <td class="form-control">
                        <?php
                        if ($unRegistro["EstadoIdioma"] == "1") {
                            echo 'Activo';
                        } else {
                            echo 'Inactivo';
                        }
                        ?>
                    </td>
                </tr>
                <?php
            }
            ?>
        </tbody>
    </table>
</body>

</html>