<?php
require("../conexion.php");
require("categoria.php");

include_once("../conexion.php");
$objetoConexion = new conexion;
$conexion = $objetoConexion->conectar();

include_once("categoria.php");
$objetoCategoria = new categoria($conexion, 0, '', '', '');
$listarCategoria = $objetoCategoria->listar(0);
header("Content-Type: application/xls");
header("Content-Disposition: attachment; filename=Categorias.xls");
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <title>CategoriasUno</title>
</head>

<body>
    <table class="table table-striped table-dark">
        <thead>
            <th scope="col"></th>
            <th scope="col">Nombre</th>
            <th scope="col">Descripcion</th>
            <th scope="col">Estado</th>
            <th scope="col"></th>
        </thead>
        <tbody id="content">
            
            <?php
            while ($unRegistro = mysqli_fetch_array($listarCategoria)) {
                ?>
                <tr>
                <td class="form-control">
                    <?php echo $unRegistro["IdCategoria"]; ?>
                </td>
                <td class="form-control">
                    <?php echo $unRegistro["NombreCategoria"]; ?>
                </td>
                <td class="form-control">
                    <?php echo $unRegistro["DescripcionCategoria"]; ?>
                </td>
                <td class="form-control">
                    <?php
                    if ($unRegistro["EstadoCategoria"] == "1") {
                        echo 'Activo';
                    } else {
                        echo 'Inactivo';
                    }
                    ?>
                </td>
                </tr>
                <?php
            }
            ?>
        </tbody>
    </table>
</body>

</html>