<?php

require_once('../../Assets/plugin/PDF/fpdf.php');
class PDF extends FPDF
{
// Cabecera de página
function Header()
{
    $this->image('../../Assets/ICON/favicon.png', 10, 18, 30); // X, Y, Tamaño
    $this->image('../../Assets/ICON/favicon.png', 170, 18, 30); // X, Y, Tamaño
    $this->Ln(20);
    // Arial bold 15
    $this->SetFont('Arial','B',20);
  
    // Movernos a la derecha
    $this->Cell(60);

    // Título
    $this->Cell(70,10,'Reporte Categoria',0,0,'C');
    // Salto de línea
   
    $this->Ln(30);
    $this->SetFont('Arial','B',10);
    $this->SetX(50);
    $this->Cell(40,10,'Nombre',2,0,'L',0);
    $this->Cell(40,10,'Descripcion',2,0,'L',0,);
    $this->Cell(40,10,'Estado',2,0,'L',0);
}

// Pie de página
function Footer()
{
    // Posición: a 1,5 cm del final
    $this->SetY(-15);
    
    // Arial italic 8
    $this->SetFont('Arial','I',8);
    // Número de página
  
    $this->Cell(0,10,utf8_decode('Página') .$this->PageNo().'/{nb}',0,0,'C');
   //$this->SetFillColor(223, 229,235);
    //$this->SetDrawColor(181, 14,246);
    //$this->Ln(0.5);
}
}

include_once("../conexion.php");
$objetoConexion= new conexion;
$conexion=$objetoConexion->conectar();

$consulta = "SELECT * FROM categorias ORDER BY idCategoria";
$resultado = mysqli_query($conexion, $consulta);
$pdf = new PDF();

$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Arial','',10);
$estado='';
//$pdf->SetWidths(array(10, 30, 27, 27, 20, 20, 20, 20, 22));
while ($row=mysqli_fetch_array($resultado)) {
    $pdf->Ln(10);
    $pdf->SetX(50);

    $pdf->Cell(40,10,$row['NombreCategoria'],10,0,'L',0);
    $pdf->Cell(40,10,$row['DescripcionCategoria'],10,0,'L',0);
    if ( $row['EstadoCategoria'] == "1") {
        $estado= 'Activo';
    } else {
        $estado= 'Inactivo';
    }
	$pdf->Cell(40,10,$estado,10,0,'L',0);
    //$pdf->Cell(22,10,$row[''],1,1,'C',0);
	


} 


	$pdf->Output();
?>