<!doctype html>
<html>

<head>
    <meta charset="utf-8">
    <link rel="shortcut icon" href="../Assets/ICON/favicon.png">
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <title>Formulario Usuario</title>
</head>

<body>
    <!------------------------------------------------------Inicio Pagina---------------------------------------------------------------------------->
    <!---------------------------------------------------Inclusiones necesarias---------------------------------------------------------------------->
    <!----------------------------------------------------------------------------------------------------------------------------------------------->

    <?php
    session_start();
    if (!isset($_SESSION['NombreRol'])){
        header("location:../Vista/Login.php?mensaje=incorrecto");
    }
    $formulario = 'Usuario';
    $_SESSION['Menu']='2';
    if (strpos('' . $_SESSION['UsuariosRol'], 'R') === false) {
        header("location:../Vista/home.php?mensaje=Permisos Insuficientes");
    }
    //Incluye Menu que es identico en cada formulario
    include_once("../vista/menu.php");
    //instancias de objetos necesarios
    include_once("../Modelo/conexion.php");
    $objetoConexion = new conexion;
    $conexion = $objetoConexion->conectar();
    include_once("../Modelo/Usuario/Usuario.php");
    $objetoUsuario = new Usuario($conexion, 0, '', '', '', '', '', '', '', '', '');
    $listarUsuario = $objetoUsuario->listar();
    include_once("../Modelo/rol/rol.php");
    $objetoRol = new Rol($conexion, 0, '', '', '', '', '', '', '', '', '', '', '', '', '', '');
    $listarRol = $objetoRol->listar();
    @$mensaje = $_GET['mensaje'];
    if (isset($mensaje)) {

        if ($mensaje == 'ErrorEliminar') {

            echo '<script type="text/javascript">

        alert("Error al Eliminar, '.$formulario.' con Asociaciones!");
        
       
        </script>';
        }
    }
    ?> 
    <!----------------------------------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------Controles Superiores------------------------------------------------------------------------>
    <!----------------------------------------------------------------------------------------------------------------------------------------------->
    <div id="main-container">
        <br>
        <!-- Button trigger modal para llamar al formulario Modela de registro de Usuario -->
        <?php
        if (strpos('' . $_SESSION['UsuariosRol'], 'C') === false) {
        } else {
            echo '<button type="button" class="btn btn-outline-primary" data-bs-toggle="modal" data-bs-target="#exampleModal"
            style="margin-left: 1cm; " title="Agregar Registro">
            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                class="bi bi-plus-square-fill" viewBox="0 0 16 16">
                <path
                    d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z" />
            </svg>Agregar Registro
        </button>';
    }
    ?>
       
        <br>
        <br>
        <!----------------------------------------------------------------------------------------------------------------------------------------------->
        <!---------------------------------------------------Barra de Busqueda------------------------------------------------------------------------>
        <!----------------------------------------------------------------------------------------------------------------------------------------------->
        <div class="row">
            <div class="col-sm-1">
                <label for="campo" style="margin-left: 0.5cm; margin-top: .2cm; ">Buscar: </label>
            </div>
            <div class="col-sm-11">
                <input class="form-control me-2 light-table-filter" data-table="table_id" type="text"
                    placeholder="Escriba Texto a Buscar...">
            </div>
        </div>
        <!----------------------------------------------------------------------------------------------------------------------------------------------->
        <!---------------------------------------------------div General para clase Form Control--------------------------------------------------------->
        <!----------------------------------------------------------------------------------------------------------------------------------------------->

        <div style="text-align: left; padding: 1cm;">
            <div class="form-control">
                <!----------------------------------------------------------------------------------------------------------------------------------------------->
                <!---------------------------------------------------Formulario Modal de Registro---------------------------------------------------------------->
                <!----------------------------------------------------------------------------------------------------------------------------------------------->
                <div class="modal fade modal-lg" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel"
                    aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h1 class="modal-title fs-5" id="exampleModalLabel">Agregar Usuario</h1>
                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                    aria-label="Close"></button>
                            </div>
                            <div class="modal-body">
                                <form id="fIngresarUsuario" action="../Controlador/ControladorUsuario.php"
                                    method="post">
                                    <div class="container">
                                        <div class="row ">
                                            <div class="col-6">
                                                <input type="hidden" name="fIdUsuario" value="0">
                                                <label>Nombre: </label> <input required class="form-control" type="text"
                                                    name="fNombreUsuario" placeholder="Nombre Usuario"><br>
                                                <label>Apellido: </label><input required class="form-control"
                                                    type="text" name="fApellidoUsuario"
                                                    placeholder="Apellido Usuario"><br>
                                                <label>Teléfono: </label><input required class="form-control"
                                                    type="text" name="fTelefonoUsuario"
                                                    placeholder="Teléfono Usuario"><br>
                                                <label>Dirección: </label><input required class="form-control"
                                                    type="text" name="fDireccionUsuario"
                                                    placeholder="Dirección Usuario"><br>
                                            </div>
                                            <div class="col-6">
                                                <label>Correo: </label><input required class="form-control" type="email"
                                                    name="fCorreoUsuario" placeholder="Correo Usuario"><br>
                                                <label>Clave: </label><input required class="form-control" type="password"
                                                    name="fClaveUsuario" placeholder="Clave Usuario"><br>

                                                <input class="form-control" type="hidden" name="fFechaCreacionUsuario">
                                                <label>Estado: </label>
                                                <select name="fEstadoUsuario" class="form-control">
                                                    <option value="1">Activo</option>
                                                    <option value="0">Inactivo</option>
                                                </select>
                                                <br>
                                                <label>Rol: </label>
                                                <?php
                                                echo '<select class="form-control"  name="fIdRol">';
                                                while ($otroRegistro = mysqli_fetch_array($listarRol)) {
                                                    echo '<option value="' . $otroRegistro["IdRol"] . '" >' . $otroRegistro["NombreRol"] . '</option>';
                                                }
                                                mysqli_data_seek($listarRol, 0);
                                                echo '</select><br> ';
                                                ?>
                                            </div>
                                        </div>
                                    </div>

                                    <input type="submit" name="fEnviar" value="Ingresar" class="btn btn-primary"
                                        title="Guardar Datos">
                                    <input type="reset" value="Limpiar" class="btn btn-info" title="Limpiar Formulario">
                                    <button type="button" class="btn btn-secondary"
                                        data-bs-dismiss="modal">Cerrar</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <!-------------------------------Fin Fromulario Modal de Registro de Usuario---------------------------------->


                <!----------------------------------------------------------------------------------------------------------------------------------------------->
                <!---------------------------------------------------Tabla Con Registros---------------------------------------------------------------->
                <!----------------------------------------------------------------------------------------------------------------------------------------------->

                <table class="table table_id" id="tblDatos">
                    <!-------------------------------Titutlo tabla---------------------------------->
                    <thead>
                        <th scope="col">Nombre</th>
                        <th scope="col">Apellido</th>
                        <th scope="col">Telefono</th>
                        <th scope="col">Direccion</th>
                        <th scope="col">Correo</th>

                        <th scope="col">Fecha Creacion</th>
                        <th scope="col">Estado</th>
                        <th scope="col">Rol</th>
                        <th scope="col"></th>
                    </thead>
                    <!-------------------------------Cuerpor tabla---------------------------------->
                    <tbody id="content">
                        <?php
                        //<!-------------------------------Registros de la bbdd---------------------------------->
                        while ($unRegistro = mysqli_fetch_array($listarUsuario)) {
                            echo '<form Id=fModificarColeccion' . $unRegistro["IdUsuario"] . '" action=" ../Controlador/controladorUsuario.php" method="post">';
                            echo '<tr><input  type="hidden" name="fIdUsuario" value="' . $unRegistro["IdUsuario"] . '">';
                            echo '<td>' . $unRegistro["NombreUsuario"] . '</td>';
                            echo '<td>' . $unRegistro["ApellidoUsuario"] . '</td>';
                            echo '<td>' . $unRegistro["TelefonoUsuario"] . '</td>';
                            echo '<td>' . $unRegistro["DireccionUsuario"] . '</td>';
                            echo '<td>' . $unRegistro["CorreoUsuario"] . '</td>';

                            echo '<td>' . $unRegistro["FechaCreacionUsuario"] . '</td>';
                            echo '<td>';
                            if ($unRegistro["EstadoUsuario"] == "1") {
                                echo 'Activo';
                            } else {
                                echo 'Inactivo';
                            }
                            echo '</td>';
                            echo '<td>' . $unRegistro["NombreRol"] . '</td>';
                           
                            //<!-------------------------------Botones de control---------------------------------->
                            echo '</td><td>';
                                if (strpos('' . $_SESSION['UsuariosRol'], 'U') === false) {
                                } else {
                                    echo '<button title="Actualizar Registro" type="button" class="btn btn-outline-primary"  data-bs-toggle="modal" data-bs-target="#Modal' . $unRegistro["IdUsuario"] . '">
                                
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-arrow-clockwise" viewBox="0 0 16 16">
                                <path fill-rule="evenodd" d="M8 3a5 5 0 1 0 4.546 2.914.5.5 0 0 1 .908-.417A6 6 0 1 1 8 2v1z"/>
                                <path d="M8 4.466V.534a.25.25 0 0 1 .41-.192l2.36 1.966c.12.1.12.284 0 .384L8.41 4.658A.25.25 0 0 1 8 4.466z"/>
                            </svg>
                            
                              </button>';

                            }

                            if (strpos('' . $_SESSION['UsuariosRol'], 'D') === false) {
                            } else {
                                echo '<input type="button" class="btn btn-danger" value="X"  title="Eliminar Registro" data-bs-toggle="modal"
                              data-bs-target="#Delete' . $unRegistro["IdUsuario"] . '"></td>';

                            }
                            ?>
                            <!----------------------------------------------------------------------------------------------------------------------------------------------->
                        <!---------------------------------------------------venatana Modal de Eliminar---------------------------------------------------------------->
                            <!----------------------------------------------------------------------------------------------------------------------------------------------->

                        <div class="modal fade" id="Delete" tabindex="-1" aria-labelledby="exampleModalLabel"
                            aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h1 class="modal-title fs-5" id="exampleModalLabel">Confirmación</h1>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal"
                                            aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        ¿Desea de Eliminar el Registro?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-danger"
                                            data-bs-dismiss="modal">Cancelar</button>
                                        <button type="submit" name="fEnviar" value="X"
                                            class="btn btn-success">Eliminar</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php echo '
                                </form></tr>';
                        ?>
                        <!----------------------------------------------------------------------------------------------------------------------------------------------->
                        <!---------------------------------------------------Formulario Modal de Actualizacion---------------------------------------------------------------->
                            <!----------------------------------------------------------------------------------------------------------------------------------------------->
                        <div class="modal face modal-lg" id="Modal<?php echo $unRegistro["IdUsuario"]; ?>" tabindex="-1"
                            aria-labelledby="exampleModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h1 class="modal-title fs-5" id="exampleModalLabel">Actualizar Usuario</h1>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal"
                                            aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <form id="fIngresarUsuario <?php echo $unRegistro["IdUsuario"]; ?>"
                                            action="../Controlador/ControladorUsuario.php" method="post">
                                            <div class="container">
                                                <div class="row ">
                                                    <div class="col-6">
                                                        <input type="hidden" name="fIdUsuario"
                                                            value="<?php echo $unRegistro["IdUsuario"] ?>">
                                                        <label>Nombre: </label> <input class="form-control" type="text"
                                                            name="fNombreUsuario"
                                                            value="<?php echo $unRegistro["NombreUsuario"] ?>"
                                                            placeholder="Nombre Usuario"><br>
                                                        <label>Apellido: </label><input class="form-control" type="text"
                                                            name="fApellidoUsuario"
                                                            value="<?php echo $unRegistro["ApellidoUsuario"] ?>"
                                                            placeholder="Apellido Usuario"><br>
                                                        <label>Teléfono :</label><input class="form-control" type="text"
                                                            name="fTelefonoUsuario"
                                                            value="<?php echo $unRegistro["TelefonoUsuario"] ?>"
                                                            placeholder="Teléfono Usuario"><br>
                                                        <label>Dirección :</label><input class="form-control"
                                                            type="text" name="fDireccionUsuario"
                                                            value="<?php echo $unRegistro["DireccionUsuario"] ?>"
                                                            placeholder="Dirección Usuario"><br>
                                                        <label>Correo : </label><input class="form-control" type="text"
                                                            name="fCorreoUsuario" placeholder="Correo Usuario"
                                                            value="<?php echo $unRegistro["CorreoUsuario"] ?>"><br>
                                                    </div>
                                                    <div class="col-6">
                                                        <label>Clave : </label><input class="form-control" type="password"
                                                            name="fClaveUsuario" placeholder="Clave Usuario"><br>
                                                        <label>Fecha Creacion: </label>
                                                        <input class="form-control" type="hidden"
                                                            name="fFechaCreacionUsuario"
                                                            value="<?php echo $unRegistro["FechaCreacionUsuario"] ?>"><br>
                                                        <p style="margin-top: 10px;margin-: 10px;font-weight: bold;">
                                                            <label>
                                                                <?php echo $unRegistro["FechaCreacionUsuario"] ?>
                                                            </label>
                                                        </p>
                                                        <label style="margin-top: 29px;"></label>Estado: </label>
                                                        <?php
                                                        echo '<select class="form-control" name="fEstadoUsuario">';
                                                        echo '<option value="1"';
                                                        if ($unRegistro["EstadoUsuario"] == "1") {
                                                            echo ' selected="selected"';
                                                        }
                                                        echo '>Activo</option>';
                                                        echo '<option value="';
                                                        if($unRegistro["EstadoUsuario"=="1"]){
                                                            echo'0';
                                                        }else{
                                                            echo $unRegistro["EstadoUsuario"];
                                                        }
                                                        
                                                        echo'"';
                                                        if ($unRegistro["EstadoUsuario"] != "1") {
                                                            echo ' selected="selected"';
                                                        }
                                                        echo '>Inactivo</option>';

                                                        echo '</select><br>';
                                                        //////////////////////////////////////////////select Rol////////////////////////////////////////////////////// 
                                                        echo '<label>Rol: </label>';

                                                        echo '<select class="form-control"  name="fIdRol">';
                                                        while ($otroRegistro = mysqli_fetch_array($listarRol)) {
                                                            echo '<option value="' . $otroRegistro["IdRol"] . '"';
                                                            if ($unRegistro["IdRol"] == $otroRegistro["IdRol"]) {
                                                                echo ' selected="selected"';
                                                            }
                                                            echo '">' . $otroRegistro["NombreRol"] . '</option>';
                                                        }
                                                        mysqli_data_seek($listarRol, 0);
                                                        echo '</select><br> ';
                                                        ?>
                                                    </div>
                                                </div>
                                            </div>
                                            <input type="Submit" name="fEnviar" value="Actualizar"
                                                class="btn btn-primary" title="Guardar Datos" data-bs-toggle="modal"
                                                data-bs-target="#Update">
                                            <input type="reset" value="Limpiar" class="btn btn-info"
                                                title="Limpiar Formulario">
                                            <button type="button" class="btn btn-secondary"
                                                data-bs-dismiss="modal">Cerrar</button>

                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php
                        }
                        ?>

                    </tbody>
                </table>
                <div id="paginador" class=""></div>
            </div>

        </div>
        <?php
        mysqli_free_result($listarUsuario);
        $objetoConexion->desconectar($conexion);
        ?>
        <script src="../Assets/JS/buscador.js"></script>
        <script src="../Assets/JS/page.js"></script>
        <script>
            $(document).on('hidden.bs.modal', function (event) {
                if ($('.modal:visible').length) {
                    $('body').addClass('modal-open');
                }
            });
        </script>
    </div>
</body>

</html>