<?php
require("../conexion.php");
require("Tipo.php");

include_once("../conexion.php");
$objetoConexion = new conexion;
$conexion = $objetoConexion->conectar();

include_once("Tipo.php");
$objetoTipo = new Tipo($conexion, 0, '', '', '');
$listarTipo = $objetoTipo->listar(0);
header("Content-Type: application/xls");
header("Content-Disposition: attachment; filename=Tipoes.xls");
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Tipoes</title>
</head>

<body>
    <table class="table table-striped table-dark">
        <thead>
            <th scope="col"></th>
            <th scope="col">Nombre</th>
            <th scope="col">Descripcion</th>
            <th scope="col">Estado</th>
            <th scope="col"></th>
        </thead>
        <tbody id="content">
            
            <?php
            while ($unRegistro = mysqli_fetch_array($listarTipo)) {
                ?>
                <tr>
                <td class="form-control">
                    <?php echo $unRegistro["IdTipo"]; ?>
                </td>
                <td class="form-control">
                    <?php echo $unRegistro["NombreTipo"]; ?>
                </td>
                <td class="form-control">
                    <?php echo $unRegistro["DescripcionTipo"]; ?>
                </td>
                <td class="form-control">
                    <?php
                    if ($unRegistro["EstadoTipo"] == "1") {
                        echo 'Activo';
                    } else {
                        echo 'Inactivo';
                    }
                    ?>
                </td>
                </tr>
                <?php
            }
            ?>
        </tbody>
    </table>
</body>

</html>