<?php
session_start();
if (!isset($_SESSION['NombreRol'])) {
    header("location:../Vista/Login.php?mensaje=incorrecto");
}
if (strpos('' . $_SESSION['EjemplaresRol'], 'R') === false) {
    header("location:../Vista/home.php?mensaje=Permisos Insuficientes");
}
header("Content-Type: application/xls");
header("Content-Disposition: attachment; filename=Ejemplares.xls");
$FechaInicio=$_POST["fFechaInicio"];
$FechaFin=$_POST["fFechaFin"];
$Texto=$_POST["fTexto"];

//instancias de objetos necesarios
require("../conexion.php");
$objetoConexion = new conexion;
$conexion = $objetoConexion->conectar();
include_once("Ejemplar.php");
$objetoEjemplar = new Ejemplar($conexion, 0, '', '', '', '', '', '');
$listarEjemplar = $objetoEjemplar->listarExcel($FechaInicio,$FechaFin,$Texto);
//$listarEjemplar = $objetoEjemplar->listar('');
include_once("../Libro/Libro.php");
$objetoLibro = new Libro($conexion, 0, '', '', '', '', '', '', '', '', '', '', '');
$listarLibro = $objetoLibro->listarExterno();
?>
<!doctype html>
<html>

<head>
    <meta charset="utf-8">
    <link rel="shortcut icon" href="../Assets/ICON/favicon.png">
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <title>Formulario Ejemplar</title>
</head>

<body>

    <table class="table table_id" id="tblDatos">
        <!-------------------------------Titutlo tabla---------------------------------->
        <thead>
            <th scope="col">NumeroRegistro</th>
            <th scope="col">FechaAdquisicion</th>
            <th scope="col">Nota</th>
            <th scope="col">Prestamo Especial</th>
            <th scope="col">Estado</th>
            <th scope="col">Libro</th>
            <th scope="col"></th>
        </thead>
        <!-------------------------------Cuerpor tabla---------------------------------->
        <tbody id="content">
            <?php
            //<!-------------------------------Registros de la bbdd---------------------------------->
            while ($unRegistro = mysqli_fetch_array($listarEjemplar)) {
                echo '<tr><input  type="hidden" name="fIdEjemplar" value="' . $unRegistro["IdEjemplar"] . '">';
                echo '<td>' . $unRegistro["NumeroRegistroEjemplar"] . '</td>';
                echo '<td>' . $unRegistro["FechaAdquisicionEjemplar"] . '</td>';
                echo '<td>' . $unRegistro["NotaEjemplar"] . '</td>';
                echo '<td>';
                if ($unRegistro["ReservaEjemplar"] == "0") {
                    echo 'No';
                } else {
                    echo 'Si';
                }
                echo '</td>';
                echo '<td>';
                if ($unRegistro["EstadoEjemplar"] == "1") {
                    echo 'Activo';
                } else if ($unRegistro["EstadoEjemplar"] == "2") {
                    echo 'Prestado';
                } else {
                    echo 'Inactivo';
                }
                echo '</td>';
                echo '<td>' . $unRegistro["TituloLibro"] . '</td>';
                echo '</td>';
                echo '</tr>';

            }
            ?>
        </tbody>
    </table>
    </div>
    <?php
    mysqli_free_result($listarEjemplar);
    $objetoConexion->desconectar($conexion);
    ?>
</body>
</html>