<!doctype html>
<html>

<head>
    <meta charset="utf-8">
    <link rel="shortcut icon" href="../Assets/ICON/favicon.png">
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <title>Formulario Ejemplar</title>
</head>

<body>
    <!------------------------------------------------------Inicio Pagina---------------------------------------------------------------------------->
    <!---------------------------------------------------Inclusiones necesarias---------------------------------------------------------------------->
    <!----------------------------------------------------------------------------------------------------------------------------------------------->

    <?php
    session_start();
    if (!isset($_SESSION['NombreRol'])) {
        header("location:../Vista/Login.php?mensaje=incorrecto");
    }
    $formulario = 'Ejemplar';
    $_SESSION['Menu'] = '2';
    if (strpos('' . $_SESSION['EjemplaresRol'], 'R') === false) {
        header("location:../Vista/home.php?mensaje=Permisos Insuficientes");
    }
    //Incluye Menu que es identico en cada formulario
    include_once("../vista/menu.php");
    //instancias de objetos necesarios
    include_once("../Modelo/conexion.php");
    $objetoConexion = new conexion;
    $conexion = $objetoConexion->conectar();
    include_once("../Modelo/Ejemplar/Ejemplar.php");
    $objetoEjemplar = new Ejemplar($conexion, 0, '', '', '', '', '', '');
    $listarEjemplar = $objetoEjemplar->listar("@@@@@@@@@@@@@♂☻☻♥♦♣");
    include_once("../Modelo/Libro/Libro.php");
    $objetoLibro = new Libro($conexion, 0, '', '', '', '', '', '', '', '', '', '', '');
    $listarLibro = $objetoLibro->listarExterno();
    include_once("../Modelo/Prestamo/Prestamo.php");
    $objetoPrestamo = new Prestamos($conexion, 0, '', '', '', '', '', '', '');
    $listarPrestamo = $objetoPrestamo->listar();
    include_once("../Modelo/Usuario/Usuario.php");
    $objetoUsuario = new Usuario($conexion, 0, '', '', '', '', '', '', '', '', '');
    $listarUsuario = $objetoUsuario->listarExterno();
    @$mensaje = $_GET['mensaje'];
    if (isset($mensaje)) {

        if ($mensaje == 'ErrorEliminar') {

            echo '<script type="text/javascript">

        alert("Error al Eliminar, ' . $formulario . ' con Asociaciones!");
        
       
        </script>';
        }
    }
    ?>
    <!----------------------------------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------Controles Superiores------------------------------------------------------------------------>
    <!----------------------------------------------------------------------------------------------------------------------------------------------->
    <div id="main-container">
        <br>
        <!-- Button trigger modal para llamar al formulario Modela de registro de Ejemplar -->
        <?php
        if (strpos('' . $_SESSION['EjemplaresRol'], 'C') === false) {
        } else {
            echo '<button type="button" class="btn btn-outline-primary" data-bs-toggle="modal" data-bs-target="#exampleModal"
            style="margin-left: 1cm; " title="Agregar Registro">
            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                class="bi bi-plus-square-fill" viewBox="0 0 16 16">
                <path
                    d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z" />
            </svg>Agregar Registro
        </button>';
        }

        ?>
        <button type="button" class="btn btn-outline-success" data-bs-toggle="modal" data-bs-target="#excel"
            title="Hoja de cálculo">
            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                class="bi bi-file-earmark-spreadsheet" viewBox="0 0 16 16">
                <path
                    d="M14 14V4.5L9.5 0H4a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h8a2 2 0 0 0 2-2zM9.5 3A1.5 1.5 0 0 0 11 4.5h2V9H3V2a1 1 0 0 1 1-1h5.5v2zM3 12v-2h2v2H3zm0 1h2v2H4a1 1 0 0 1-1-1v-1zm3 2v-2h3v2H6zm4 0v-2h3v1a1 1 0 0 1-1 1h-2zm3-3h-3v-2h3v2zm-7 0v-2h3v2H6z" />
            </svg>Excel
        </button>

        <div class="modal face" id="excel" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h1 class="modal-title fs-5" id="exampleModalLabel">Exportar Datos
                        </h1>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <form id="Excel" action="../Modelo/ejemplar/EjemplarExcel.php" method="post">
                            <label style="margin-top: 6px;">Fecha Inicio:
                            </label> <input required class="form-control" type="datetime-local" name="fFechaInicio">
                            <label style="margin-top: 6px;">Fecha Fin:
                            </label> <input required class="form-control" type="datetime-local" name="fFechaFin">
                            <label style="margin-top: 6px;">Texto a Buscar:</label>
                            <input class="form-control" type="text" name="fTexto"
                                placeholder="Escriba texto a buscar">
                            <input type="Submit" name="fEnviar" value="Enviar" class="btn btn-primary"
                                title="Guardar Datos" data-bs-toggle="modal" data-bs-target="#Update">
                            <input type="reset" value="Limpiar" class="btn btn-info" title="Limpiar Formulario">
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <br>
        <br>
        <div class="container-fluid">
            <form class="d-flex">
                <form action="" method="GET">
                    <input class="form-control me-2" type="search" required placeholder="Filtar" name="busqueda"> <br>
                    <button class="btn btn-outline-info" type="submit" name="enviar"> <b>Buscar </b> </button>
                </form>
        </div>
        <?php
        if (isset($_GET['enviar'])) {
            $busqueda = $_GET['busqueda'];
            if (isset($_GET['busqueda'])) {
                $listarEjemplar = $objetoEjemplar->listar($busqueda);
            }

        }


        ?>


        <!----------------------------------------------------------------------------------------------------------------------------------------------->
        <!---------------------------------------------------div General para clase Form Control--------------------------------------------------------->
        <!----------------------------------------------------------------------------------------------------------------------------------------------->

        <div style="text-align: left; padding: 1cm;">
            <div class="form-control">
                <!----------------------------------------------------------------------------------------------------------------------------------------------->
                <!---------------------------------------------------Formulario Modal de Registro---------------------------------------------------------------->
                <!---------------------------------------------------------------------------------------------------------------------------------------------->
                <div class="modal fade " id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel"
                    aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h1 class="modal-title fs-5" id="exampleModalLabel">Agregar Ejemplar</h1>
                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                    aria-label="Close"></button>
                            </div>
                            <div class="modal-body">
                                <form id="fIngresarEjemplar" action="../Controlador/ControladorEjemplar.php"
                                    method="post">
                                    <input type="hidden" name="fIdEjemplar" value="0">
                                    <label>Numero Registro: </label> <input required class="form-control" type="text"
                                        name="fNumeroRegistroEjemplar" placeholder="Numero Registro Ejemplar"><br>
                                    <label>Fecha Adquisición: </label><input required class="form-control"
                                        type="datetime-local" name="fFechaAdquisicionEjemplar"
                                        placeholder="Fecha Adquisición Ejemplar"><br>
                                    <label>Nota: </label><input class="form-control" type="text" name="fNotaEjemplar"
                                        placeholder="Nota Ejemplar"><br>
                                    <label>Prestamo Especial: </label>
                                    <select name="fReservaEjemplar" required class="form-control">
                                        <option value="0">No</option>
                                        <option value="1">Si</option>
                                    </select>
                                    <br>
                                    <label>Estado: </label>
                                    <select name="fEstadoEjemplar" required class="form-control">
                                        <option value="1">Activo</option>
                                        <option value="0">Inactivo</option>
                                    </select>
                                    <br>
                                    <label>Libro: </label>
                                    <?php
                                    echo '<select class="form-control"  name="fIdLibro">';
                                    while ($otroRegistro = mysqli_fetch_array($listarLibro)) {
                                        echo '<option value="' . $otroRegistro["IdLibro"] . '" >' . $otroRegistro["TituloLibro"] . '</option>';
                                    }
                                    mysqli_data_seek($listarLibro, 0);
                                    echo '</select><br> ';
                                    ?>

                                    <input type="submit" name="fEnviar" value="Ingresar" class="btn btn-primary"
                                        title="Guardar Datos">
                                    <input type="reset" value="Limpiar" class="btn btn-info" title="Limpiar Formulario">
                                    <button type="button" class="btn btn-secondary"
                                        data-bs-dismiss="modal">Cerrar</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <!-------------------------------Fin Fromulario Modal de Registro de Ejemplar---------------------------------->


                <!----------------------------------------------------------------------------------------------------------------------------------------------->
                <!---------------------------------------------------Tabla Con Registros---------------------------------------------------------------->
                <!----------------------------------------------------------------------------------------------------------------------------------------------->
                <!----------------------------------------------------------------------------------------------------------------------------------------------->
                <!---------------------------------------------------Barra de Busqueda------------------------------------------------------------------------>
                <!----------------------------------------------------------------------------------------------------------------------------------------------->
                <div class="row">
                    <div class="col-sm-1">
                        <label for="campo" style="margin-left: 0.5cm; margin-top: .2cm; ">Buscar: </label>
                    </div>
                    <div class="col-sm-11">
                        <input class="form-control me-2 light-table-filter" data-table="table_id" type="text"
                            placeholder="Escriba Texto a Buscar...">
                    </div>
                </div>
                <table class="table table_id" id="tblDatos">
                    <!-------------------------------Titulo tabla---------------------------------->
                    <thead>
                        <th scope="col">NumeroRegistro</th>
                        <th scope="col">FechaAdquisicion</th>
                        <th scope="col">Nota</th>
                        <th scope="col">Prestamo Especial</th>
                        <th scope="col">Estado</th>
                        <th scope="col">Libro</th>
                        <th scope="col"></th>
                    </thead>
                    <!-------------------------------Cuerpor tabla---------------------------------->
                    <tbody id="content">
                        <?php
                        //<!-------------------------------Registros de la bbdd---------------------------------->
                        while ($unRegistro = mysqli_fetch_array($listarEjemplar)) {
                            echo '<form Id=fModificarColeccion' . $unRegistro["IdEjemplar"] . '" action=" ../Controlador/controladorEjemplar.php" method="post">';
                            echo '<tr><input  type="hidden" name="fIdEjemplar" value="' . $unRegistro["IdEjemplar"] . '">';
                            echo '<td>' . $unRegistro["NumeroRegistroEjemplar"] . '</td>';
                            echo '<td>' . $unRegistro["FechaAdquisicionEjemplar"] . '</td>';
                            echo '<td>' . $unRegistro["NotaEjemplar"] . '</td>';
                            echo '<td>';
                            if ($unRegistro["ReservaEjemplar"] == "0") {
                                echo 'No';
                            } else {
                                echo 'Si';
                            }
                            echo '</td>';
                            echo '<td>';


                            if ($unRegistro["EstadoEjemplar"] == "1") {
                                echo 'Activo';
                            } else if ($unRegistro["EstadoEjemplar"] == "2") {
                                echo 'Prestado';
                            } else {
                                echo 'Inactivo';
                            }
                            echo '</td>';
                            echo '<td>' . $unRegistro["TituloLibro"] . '</td>';
                            echo '</td>';
                            //<!-------------------------------Botones de control---------------------------------->
                            echo '<td>';
                            if (strpos('' . $_SESSION['EjemplaresRol'], 'U') === false) {
                            } else {

                                if ($unRegistro["EstadoEjemplar"] == "1") {
                                    echo '<button title="Prestar Ejemplar" type="button" class="btn btn-outline-warning"  data-bs-toggle="modal" data-bs-target="#Prestar' . $unRegistro["IdEjemplar"] . '">
                                
                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-arrow-return-right" viewBox="0 0 16 16">
                                    <path fill-rule="evenodd" d="M1.5 1.5A.5.5 0 0 0 1 2v4.8a2.5 2.5 0 0 0 2.5 2.5h9.793l-3.347 3.346a.5.5 0 0 0 .708.708l4.2-4.2a.5.5 0 0 0 0-.708l-4-4a.5.5 0 0 0-.708.708L13.293 8.3H3.5A1.5 1.5 0 0 1 2 6.8V2a.5.5 0 0 0-.5-.5z"/>
                                    </svg></button>';
                                }

                                echo '<button title="Actualizar Registro" type="button" class="btn btn-outline-primary"  data-bs-toggle="modal" data-bs-target="#Modal' . $unRegistro["IdEjemplar"] . '">
                                
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-arrow-clockwise" viewBox="0 0 16 16">
                                <path fill-rule="evenodd" d="M8 3a5 5 0 1 0 4.546 2.914.5.5 0 0 1 .908-.417A6 6 0 1 1 8 2v1z"/>
                                <path d="M8 4.466V.534a.25.25 0 0 1 .41-.192l2.36 1.966c.12.1.12.284 0 .384L8.41 4.658A.25.25 0 0 1 8 4.466z"/>
                            </svg></button>';

                            }

                            if (strpos('' . $_SESSION['EjemplaresRol'], 'D') === false) {
                            } else {
                                echo '</button>
                              <input type="button" class="btn btn-danger" value="X"  title="Eliminar Registro" data-bs-toggle="modal"
                              data-bs-target="#Delete' . $unRegistro['IdEjemplar'] . '"></td';

                            }
                            ?>


                            <!----------------------------------------------------------------------------------------------------------------------------------------------->
                        <!---------------------------------------------------venatana Modal de Eliminar---------------------------------------------------------------->
                            <!----------------------------------------------------------------------------------------------------------------------------------------------->

                        <div class="modal fade" id="Delete<?php echo $unRegistro['IdEjemplar']; ?>" tabindex="-1"
                            aria-labelledby="exampleModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h1 class="modal-title fs-5" id="exampleModalLabel">Confirmación</h1>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal"
                                            aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        ¿Desea de Eliminar el Registro?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-danger"
                                            data-bs-dismiss="modal">Cancelar</button>
                                        <button type="submit" name="fEnviar" value="X"
                                            class="btn btn-success">Eliminar</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php echo '
                                </form></tr>';
                        ?>
                        <div style="text-align: left; padding: 1cm;">
                            <div class="form-control">
                                <!----------------------------------------------------------------------------------------------------------------------------------------------->
                                <!---------------------------------------------------Formulario Modal de Registro---------------------------------------------------------------->
                                    <!----------------------------------------------------------------------------------------------------------------------------------------------->
                                <div class="modal fade" id="Prestar<?php echo $unRegistro["IdEjemplar"]; ?>"
                                    tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h1 class="modal-title fs-5" id="exampleModalLabel">Agregar Prestamo
                                                </h1>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                    aria-label="Close"></button>
                                            </div>
                                            <div class="modal-body">
                                                <form id="fIngresarPrestamo"
                                                    action="../Controlador/ControladorPrestamo.php" method="post">

                                                    <input type="hidden" name="fIdPrestamo" value="0">
                                                    <input type="hidden" name="fFechaPrestamo" value="0">
                                                    <input type="hidden" name="fFechaDevolucionPrestamoRealizada"
                                                        value="0">
                                                    <input type="hidden" name="fEstadoPrestamo" value="1">
                                                    <label>Fecha Devolución: </label> <input required
                                                        class="form-control" type="datetime-local"
                                                        name="fFechaDevolucionPrestamoPlaneada"><br>
                                                    <label>Nota: </label>
                                                    <input type="text" class="form-control" name="fNotaPrestamo"
                                                        placeholder="Nota Prestamo"><br>
                                                    <label>Ejemplar: </label><input class="form-control" type="hidden"
                                                        name="fIdEjemplar"
                                                        value="<?php echo $unRegistro["IdEjemplar"] ?>"><br>
                                                    <p style="margin-top: 10px;font-weight: bold;">
                                                        <label>
                                                            <?php echo $unRegistro["NumeroRegistroEjemplar"] . '-' . $unRegistro["TituloLibro"] ?>
                                                        </label>
                                                    </p>
                                                    <label>Usuario: </label>
                                                    <?php
                                                    echo '<select class="form-control"  name="fIdUsuario">';
                                                    while ($otroRegistro = mysqli_fetch_array($listarUsuario)) {
                                                        echo '<option value="' . $otroRegistro["IdUsuario"] . '" >' . $otroRegistro["NombreUsuario"] . ' ' . $otroRegistro["ApellidoUsuario"] . '</option>';
                                                    }
                                                    mysqli_data_seek($listarUsuario, 0);
                                                    echo '</select><br> ';
                                                    ?>


                                                    <input type="submit" name="fEnviar" value="Ingresar"
                                                        class="btn btn-primary" title="Guardar Datos">
                                                    <input type="reset" value="Limpiar" class="btn btn-info"
                                                        title="Limpiar Formulario">
                                                    <button type="button" class="btn btn-secondary"
                                                        data-bs-dismiss="modal">Cerrar</button>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-------------------------------Fin Fromulario Modal de Registro de Prestamo---------------------------------->
                                </div>
                            </div>
                            <!----------------------------------------------------------------------------------------------------------------------------------------------->
                        <!---------------------------------------------------Formulario Modal de Actualizacion---------------------------------------------------------------->
                            <!----------------------------------------------------------------------------------------------------------------------------------------------->
                        <div class="modal face" id="Modal<?php echo $unRegistro["IdEjemplar"]; ?>" tabindex="-1"
                            aria-labelledby="exampleModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h1 class="modal-title fs-5" id="exampleModalLabel">Actualizar Ejemplar
                                        </h1>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal"
                                            aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <form id="fIngresarEjemplar <?php echo $unRegistro["IdEjemplar"]; ?>"
                                            action="../Controlador/ControladorEjemplar.php" method="post">


                                            <input type="hidden" name="fIdEjemplar"
                                                value="<?php echo $unRegistro["IdEjemplar"] ?>">
                                            <label>Numero Registro: </label> <input class="form-control" type="text"
                                                name="fNumeroRegistroEjemplar"
                                                value="<?php echo $unRegistro["NumeroRegistroEjemplar"] ?>"
                                                placeholder="NumeroRegistro Ejemplar"><br>
                                            <label>Fecha Adquisición: </label><input class="form-control"
                                                type="datetime-local" name="fFechaAdquisicionEjemplar"
                                                value="<?php echo $unRegistro["FechaAdquisicionEjemplar"] ?>"
                                                placeholder="Fecha Adquisición Ejemplar"><br>
                                            <label>Nota :</label><input class="form-control" type="text"
                                                name="fNotaEjemplar" value="<?php echo $unRegistro["NotaEjemplar"] ?>"
                                                placeholder="Nota Ejemplar"><br>
                                            <label>Prestamo Especial: </label>
                                            <?php
                                            echo '<select name="fReservaEjemplar" required class="form-control">';
                                            echo '<option value="0"';
                                            if ($unRegistro["ReservaEjemplar"] == "0") {
                                                echo ' selected="selected"';
                                            }
                                            echo '>No</option>';
                                            echo '<option value="1"';
                                            if ($unRegistro["ReservaEjemplar"] == "1") {
                                                echo ' selected="selected"';
                                            }
                                            echo '>Si</option>';
                                            echo '</select>';
                                            ?>
                                            <br>
                                            </label>Estado: </label>
                                            <?php
                                            echo '<select class="form-control" name="fEstadoEjemplar">';
                                            echo '<option value="1"';
                                            if ($unRegistro["EstadoEjemplar"] == "1") {
                                                echo ' selected="selected"';
                                            }
                                            echo '>Activo</option>';


                                            echo '<option value="';
                                            if ($unRegistro["EstadoEjemplar"] == "1") {
                                                echo '0';
                                            } else {
                                                echo $unRegistro["EstadoEjemplar"];
                                            }
                                            echo '"';
                                            if ($unRegistro["EstadoEjemplar"] != "1") {
                                                echo ' selected="selected"';
                                            }
                                            echo '>Inactivo</option>';

                                            echo '</select><br>';
                                            //////////////////////////////////////////////select Rol////////////////////////////////////////////////////// 
                                            echo '<label>Libro: </label>';

                                            echo '<select class="form-control"  name="fIdLibro">';
                                            while ($otroRegistro = mysqli_fetch_array($listarLibro)) {
                                                echo '<option value="' . $otroRegistro["IdLibro"] . '"';
                                                if ($unRegistro["IdLibro"] == $otroRegistro["IdLibro"]) {
                                                    echo ' selected="selected"';
                                                }
                                                echo '">' . $otroRegistro["TituloLibro"] . '</option>';
                                            }
                                            mysqli_data_seek($listarLibro, 0);
                                            echo '</select><br> ';
                                            ?>

                                            <input type="Submit" name="fEnviar" value="Actualizar"
                                                class="btn btn-primary" title="Guardar Datos" data-bs-toggle="modal"
                                                data-bs-target="#Update">
                                            <input type="reset" value="Limpiar" class="btn btn-info"
                                                title="Limpiar Formulario">
                                            <button type="button" class="btn btn-secondary"
                                                data-bs-dismiss="modal">Cerrar</button>

                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php
                        }
                        ?>

                    </tbody>
                </table>
                <div id="paginador" class=""></div>
            </div>

        </div>
        <?php
        mysqli_free_result($listarEjemplar);
        $objetoConexion->desconectar($conexion);
        ?>
        <script src="../Assets/JS/buscador.js"></script>
        <script src="../Assets/JS/page.js"></script>
        <script>
            $(document).on('hidden.bs.modal', function (event) {
                if ($('.modal:visible').length) {
                    $('body').addClass('modal-open');
                }
            });
        </script>
    </div>
</body>

</html>