<!doctype html>
<html>

<head>
    <meta charset="utf-8">
    <link rel="shortcut icon" href="../Assets/ICON/favicon.png">
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <title>Formulario Libro</title>
</head>

<body>
    <?php
    session_start();
    if (!isset($_SESSION['NombreRol'])){
        header("location:../Vista/Login.php?mensaje=incorrecto");
    }
    $formulario = 'Libro';
    $_SESSION['Menu']='2';
    if (strpos('' . $_SESSION['LibrosRol'], 'R') === false) {
        header("location:../Vista/home.php?mensaje=Permisos Insuficientes");
    }
    include_once("../vista/menu.php");
    //instancaas de objetos necesarios
    include_once("../Modelo/conexion.php");
    $objetoConexion = new conexion;
    $conexion = $objetoConexion->conectar();

    include_once("../Modelo/Libro/Libro.php");
    $objetoLibro = new Libro($conexion, 0, '', '', '', '', '', '', '', '', '', '', '');
    $listarLibro = $objetoLibro->listar("zzzzzzzzzxxxxxxyyyyssssssff");
    include_once("../Modelo/Autor/Autor.php");
    $objetoAutor = new Autor($conexion, 0, '', '', '', '');
    $listarAutor = $objetoAutor->listarExterno();
    include_once("../Modelo/categoria/categoria.php");
    $objetoCategoria = new categoria($conexion, 0, '', '', '');
    $listarCategoria = $objetoCategoria->listarExterno();
    include_once("../Modelo/Coleccion/Coleccion.php");
    $objetoColeccion = new Coleccion($conexion, 0, '', '', '');
    $listarColeccion = $objetoColeccion->listarExterno();
    include_once("../Modelo/editorial/editorial.php");
    $objetoEditorial = new Editorial($conexion, 0, '', '', '', '', '', '', '');
    $listarEditorial = $objetoEditorial->listarExterno();
    include_once("../Modelo/Idioma/Idioma.php");
    $objetoIdioma = new idioma($conexion, 0, '', '');
    $listarIdioma = $objetoIdioma->listarExterno();
    include_once("../Modelo/Tipo/Tipo.php");
    $objetoTipo = new Tipo($conexion, 0, '', '', '');
    $listarTipo = $objetoTipo->listarExterno();
    @$mensaje = $_GET['mensaje'];
    if (isset($mensaje)) {

        if ($mensaje == 'ErrorEliminar') {

            echo '<script type="text/javascript">

        alert("Error al Eliminar, '.$formulario.' con Asociaciones!");
        
       
        </script>';
        }
    }
    ?>
    <div id="main-container">
        <br>
        <!-- Button trigger modal -->
        <?php
        if (strpos('' . $_SESSION['LibrosRol'], 'C') === false) {
        } else {
            echo '<button type="button" class="btn btn-outline-primary" data-bs-toggle="modal" data-bs-target="#exampleModal"
            style="margin-left: 1cm; " title="Agregar Registro">
            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                class="bi bi-plus-square-fill" viewBox="0 0 16 16">
                <path
                    d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z" />
            </svg>Agregar Registro
        </button>';
    }
    ?>
        <br>
        <br>
        <div class="container-fluid">
        <form class="d-flex">
            <form action="" method="GET">
                <input class="form-control me-2" type="search" required placeholder="Filtar" name="busqueda"> <br>
                <button class="btn btn-outline-info" type="submit" name="enviar"> <b>Buscar </b> </button>
            </form>
    </div>
    <?php
    if (isset($_GET['enviar'])) {
        $busqueda = $_GET['busqueda'];
        if (isset($_GET['busqueda'])) {
            $listarLibro = $objetoLibro->listar($busqueda);
        }

    }


    ?>
        
        <div style="text-align: left; padding: 1cm;">
            <div class="form-control">
                <!-- Modal -->
                <div class="modal fade modal-lg " id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel"
                    aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h1 class="modal-title fs-5" id="exampleModalLabel">Agregar Libro</h1>
                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                    aria-label="Close"></button>
                            </div>
                            <div class="modal-body">
                                <form id="fIngresarLibro" action="../Controlador/ControladorLibro.php" method="post">
                                    <div class="container">
                                        <div class="row ">
                                            <div class="col-6">
                                                <input type="hidden" name="fIdLibro" value="0">
                                                <label>Titulo: </label> <input class="form-control" type="text"
                                                    name="fTituloLibro" placeholder="Titulo Libro"><br>
                                                <label>ISBN: </label><input class="form-control" type="text"
                                                    name="fISBNLibro" placeholder="ISBN Libro"><br>
                                                <label>Fecha Publicación: </label><input class="form-control"
                                                    type="datetime-local" name="fFechaPublicacionLibro"
                                                    placeholder="Fecha Publicacion Libro"><br>
                                                <label>Nota Libro: </label><input class="form-control" type="text"
                                                    name="fNotaLibro" placeholder="Nota Libro"><br>
                                                <label>Estado: </label>
                                                <select name="fEstadoLibro" class="form-control">
                                                    <option value="1">Activo</option>
                                                    <option value="0">Inactivo</option>
                                                </select><br><br>
                                                <div>
                                                    <input type="submit" name="fEnviar" value="Ingresar"
                                                        class="btn btn-primary" title="Guardar Datos">
                                                    <input type="reset" value="Limpiar" class="btn btn-info"
                                                        title="Limpiar Formulario">
                                                    <button type="button" class="btn btn-secondary"
                                                        data-bs-dismiss="modal">Cerrar</button>
                                                </div>
                                            </div>
                                            <div class="col-6">
                                                <label>Autor: </label>
                                                <?php
                                                echo '<select class="form-control"  name="fIdAutor">';
                                                while ($otroRegistro = mysqli_fetch_array($listarAutor)) {
                                                    echo '<option value="' . $otroRegistro["IdAutor"] . '" >' . $otroRegistro["NombreAutor"] . ' ' . $otroRegistro["ApellidoAutor"] . '</option>';
                                                }
                                                mysqli_data_seek($listarAutor, 0);
                                                echo '</select><br> ';
                                                ?>
                                                <label>Categoria: </label>
                                                <?php
                                                echo '</select>';
                                                echo '<select class="form-control"  name="fIdCategoria">';
                                                while ($otroRegistro = mysqli_fetch_array($listarCategoria)) {
                                                    echo '<option value="' . $otroRegistro["IdCategoria"] . '" >' . $otroRegistro["NombreCategoria"] . '</option>';
                                                }
                                                mysqli_data_seek($listarCategoria, 0);
                                                echo '</select><br> ';
                                                ?>
                                                <label>Coleccion: </label>
                                                <?php
                                                echo '</select>';
                                                echo '<select class="form-control"  name="fIdColeccion">';
                                                while ($otroRegistro = mysqli_fetch_array($listarColeccion)) {
                                                    echo '<option value="' . $otroRegistro["IdColeccion"] . '" >' . $otroRegistro["NombreColeccion"] . '</option>';
                                                }
                                                mysqli_data_seek($listarColeccion, 0);
                                                echo '</select><br> ';
                                                ?>
                                                <label>Editorial: </label>
                                                <?php
                                                echo '</select>';
                                                echo '<select class="form-control"  name="fIdEditorial">';
                                                while ($otroRegistro = mysqli_fetch_array($listarEditorial)) {
                                                    echo '<option value="' . $otroRegistro["IdEditorial"] . '" >' . $otroRegistro["NombreEditorial"] . '</option>';
                                                }
                                                mysqli_data_seek($listarEditorial, 0);
                                                echo '</select><br> ';
                                                ?>
                                                <label>Idioma: </label>
                                                <?php
                                                echo '</select>';
                                                echo '<select class="form-control"  name="fIdIdioma">';
                                                while ($otroRegistro = mysqli_fetch_array($listarIdioma)) {
                                                    echo '<option value="' . $otroRegistro["IdIdioma"] . '" >' . $otroRegistro["NombreIdioma"] . '</option>';
                                                }
                                                mysqli_data_seek($listarIdioma, 0);
                                                echo '</select><br> ';
                                                ?>
                                                <label>Tipo: </label>
                                                <?php
                                                echo '</select>';
                                                echo '<select class="form-control"  name="fIdTipo">';
                                                while ($otroRegistro = mysqli_fetch_array($listarTipo)) {
                                                    echo '<option value="' . $otroRegistro["IdTipo"] . '" >' . $otroRegistro["NombreTipo"] . '</option>';
                                                }
                                                mysqli_data_seek($listarTipo, 0);
                                                echo '</select><br> ';
                                                ?>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
            <div class="col-sm-1">
                <label for="campo" style="margin-left: 0.5cm; margin-top: .2cm; ">Buscar: </label>
            </div>
            <div class="col-sm-11">
                <input class="form-control me-2 light-table-filter" data-table="table_id" type="text"
                    placeholder="Escriba Texto a Buscar...">
            </div>
        </div>
                <table class="table table_id" id="tblDatos">
                    <thead>
                        <th scope="col">Titulo</th>
                        <th scope="col">ISBN</th>
                        <th scope="col">Fecha Publicacion</th>
                        <th scope="col">Nota</th>
                        <th scope="col">Estado</th>

                        <th scope="col">Autor</th>
                        <th scope="col">Categoria</th>
                        <th scope="col">Coleccion</th>
                        <th scope="col">Editorial</th>
                        <th scope="col">Idioma</th>
                        <th scope="col">Tipo</th>
                        <th scope="col"></th>
                    </thead>
                    <tbody id="content">
                        <?php
                        while ($unRegistro = mysqli_fetch_array($listarLibro)) {
                            echo '<form Id=fModificarColeccion' . $unRegistro["IdLibro"] . '" action=" ../Controlador/controladorLibro.php" method="post">';
                            echo '<tr><input  type="hidden" name="fIdLibro" value="' . $unRegistro["IdLibro"] . '">';
                            echo '<td>' . $unRegistro["TituloLibro"] . '</td>';
                            echo '<td>' . $unRegistro["ISBNLibro"] . '</td>';
                            echo '<td>' . $unRegistro["FechaPubliacionLibro"] . '</td>';
                            echo '<td>' . $unRegistro["NotaLibro"] . '</td>';
                            echo '<td>';
                            if ($unRegistro["EstadoLibro"] == "1") {
                                echo 'Activo';
                            } else {
                                echo 'Inactivo';
                            }
                            echo '</td>';
                            echo '<td>' . $unRegistro["NombreAutor"] . " " . $unRegistro["ApellidoAutor"] . '</td>';
                            echo '<td>' . $unRegistro["NombreCategoria"] . '</td>';
                            echo '<td>' . $unRegistro["NombreColeccion"] . '</td>';
                            echo '<td>' . $unRegistro["NombreEditorial"] . '</td>';
                            echo '<td>' . $unRegistro["NombreIdioma"] . '</td>';
                            echo '<td>' . $unRegistro["NombreTipo"] . '</td>';
                            echo '</td><td>';
                                if (strpos('' . $_SESSION['LibrosRol'], 'U') === false) {
                                } else {
                                    echo '<button title="Actualizar Registro" type="button" class="btn btn-outline-primary"  data-bs-toggle="modal" data-bs-target="#Modal' . $unRegistro["IdLibro"] . '">
                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-arrow-clockwise" viewBox="0 0 16 16">
                                <path fill-rule="evenodd" d="M8 3a5 5 0 1 0 4.546 2.914.5.5 0 0 1 .908-.417A6 6 0 1 1 8 2v1z"/>
                                <path d="M8 4.466V.534a.25.25 0 0 1 .41-.192l2.36 1.966c.12.1.12.284 0 .384L8.41 4.658A.25.25 0 0 1 8 4.466z"/>
                                </svg></i> 
                              </button>';
                            }

                            if (strpos('' . $_SESSION['LibrosRol'], 'D') === false) {
                            } else {
                                echo '<input type="button" class="btn btn-danger" value="X"  title="Eliminar Registro" data-bs-toggle="modal"
                              data-bs-target="#Delete'. $unRegistro["NombreAutor"] .'">';
                            }
                            ?>
                            <!-- Modal -->
                            <div class="modal fade" id="Delete<?php echo $unRegistro["IdLibro"]; ?>" tabindex="-1" aria-labelledby="exampleModalLabel"
                                aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h1 class="modal-title fs-5" id="exampleModalLabel">Confirmación</h1>
                                            <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                aria-label="Close"></button>
                                        </div>
                                        <div class="modal-body">
                                            ¿Desea de Eliminar el Registro?
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-danger"
                                                data-bs-dismiss="modal">Cancelar</button>
                                            <button type="submit" name="fEnviar" value="X"
                                                class="btn btn-success">Eliminar</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php
                            echo

                                '</td></tr></form>';
                            ?>
                            <div class="modal fade modal-lg" id="Modal<?php echo $unRegistro["IdLibro"]; ?>" tabindex="-1"
                                aria-labelledby="exampleModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h1 class="modal-title fs-5" id="exampleModalLabel">Actualizar Libro</h1>
                                            <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                aria-label="Close"></button>
                                        </div>
                                        <div class="modal-body">
                                            <form id="fIngresarLibro <?php echo $unRegistro["IdLibro"]; ?>"
                                                action="../Controlador/ControladorLibro.php" method="post">
                                                <div class="container">
                                                    <div class="row ">
                                                        <div class="col-6">
                                                            <input type="hidden" name="fIdLibro"
                                                                value="<?php echo $unRegistro["IdLibro"] ?>">
                                                            <label>Titulo: </label> <input class="form-control" type="text"
                                                                name="fTituloLibro"
                                                                value="<?php echo $unRegistro["TituloLibro"] ?>"
                                                                placeholder="Titulo Libro"><br>
                                                            <label>ISBN: </label><input class="form-control" type="text"
                                                                name="fISBNLibro"
                                                                value="<?php echo $unRegistro["ISBNLibro"] ?>"
                                                                placeholder="ISBN Libro"><br>
                                                            <label>Fecha Publicación: </label><input class="form-control"
                                                                type="datetime-local" name="fFechaPublicacionLibro"
                                                                value="<?php echo $unRegistro["FechaPubliacionLibro"] ?>"
                                                                placeholder="Fecha Publicacion Libro"><br>
                                                            <label>Nota Libro: </label><input class="form-control"
                                                                type="text" name="fNotaLibro"
                                                                value="<?php echo $unRegistro["NotaLibro"] ?>"
                                                                placeholder="Nota Libro"><br>
                                                            <label>Estado: </label>
                                                            <?php
                                                            echo '<select class="form-control" name="fEstadoLibro">';
                                                            echo '<option value="1"';
                                                            if ($unRegistro["EstadoLibro"] == "1") {
                                                                echo ' selected="selected"';
                                                            }
                                                            echo '>Activo</option>';
                                                            echo '<option value="0"';
                                                            if ($unRegistro["EstadoLibro"] == "0") {
                                                                echo ' selected="selected"';
                                                            }
                                                            echo '>Inactivo</option>';

                                                            echo '</select><br><br>';
                                                            ?>
                                                            <div>
                                                                <input type="submit" name="fEnviar" value="Actualizar"
                                                                    class="btn btn-primary" title="Guardar Datos">
                                                                <input type="reset" value="Limpiar" class="btn btn-info"
                                                                    title="Limpiar Formulario">
                                                                <button type="button" class="btn btn-secondary"
                                                                    data-bs-dismiss="modal">Cerrar</button>
                                                            </div>
                                                        </div>
                                                        <div class="col-6">
                                                            <?php
                                                            //////////////////////////////////////////////select Autor////////////////////////////////////////////////////// 
                                                            echo '<label>Autor: </label>';

                                                            echo '<select class="form-control selectpicker" data-show-subtext="true" data-live-search="true"  name="fIdAutor">';
                                                            while ($otroRegistro = mysqli_fetch_array($listarAutor)) {
                                                                echo '<option data-subtext= "' . $otroRegistro["NombreAutor"] . '" value="' . $otroRegistro["IdAutor"] . '"';
                                                                if ($unRegistro["IdAutor"] == $otroRegistro["IdAutor"]) {
                                                                    echo ' selected="selected"';
                                                                }
                                                                echo '">' . $otroRegistro["NombreAutor"] . ' ' . $otroRegistro["ApellidoAutor"] . '</option>';
                                                            }
                                                            mysqli_data_seek($listarAutor, 0);
                                                            echo '</select><br> ';
                                                            //////////////////////////////////////////////select Categoria////////////////////////////////////////////////////// 
                                                            echo '<label>Categoria: </label>';

                                                            echo '<select class="form-control"  name="fIdCategoria">';
                                                            while ($otroRegistro = mysqli_fetch_array($listarCategoria)) {
                                                                echo '<option value="' . $otroRegistro["IdCategoria"] . '"';
                                                                if ($unRegistro["IdCategoria"] == $otroRegistro["IdCategoria"]) {
                                                                    echo ' selected="selected"';
                                                                }
                                                                echo ' >' . $otroRegistro["NombreCategoria"] . '</option>';
                                                            }
                                                            mysqli_data_seek($listarCategoria, 0);
                                                            echo '</select><br> ';
                                                            //////////////////////////////////////////////select Coleccion //////////////////////////////////////////////////////
                                                            echo '<label>Colección: </label>';

                                                            echo '<select class="form-control"  name="fIdColeccion">';
                                                            while ($otroRegistro = mysqli_fetch_array($listarColeccion)) {
                                                                echo '<option value="' . $otroRegistro["IdColeccion"] . '"';
                                                                if ($unRegistro["IdColeccion"] == $otroRegistro["IdColeccion"]) {
                                                                    echo ' selected="selected"';
                                                                }
                                                                echo ' >' . $otroRegistro["NombreColeccion"] . '</option>';
                                                            }
                                                            mysqli_data_seek($listarColeccion, 0);
                                                            echo '</select><br> ';
                                                            //////////////////////////////////////////////select Editorial //////////////////////////////////////////////////////
                                                            echo '<label>Editorial: </label>';

                                                            echo '<select class="form-control"  name="fIdEditorial">';
                                                            while ($otroRegistro = mysqli_fetch_array($listarEditorial)) {
                                                                echo '<option value="' . $otroRegistro["IdEditorial"] . '"';
                                                                if ($unRegistro["IdEditorial"] == $otroRegistro["IdEditorial"]) {
                                                                    echo ' selected="selected"';
                                                                }
                                                                echo ' >' . $otroRegistro["NombreEditorial"] . '</option>';
                                                            }
                                                            mysqli_data_seek($listarEditorial, 0);
                                                            echo '</select><br> ';
                                                            //////////////////////////////////////////////select Idioma //////////////////////////////////////////////////////
                                                            echo '<label>Idioma: </label>';

                                                            echo '<select class="form-control"  name="fIdIdioma">';
                                                            while ($otroRegistro = mysqli_fetch_array($listarIdioma)) {
                                                                echo '<option value="' . $otroRegistro["IdIdioma"] . '"';
                                                                if ($unRegistro["IdIdioma"] == $otroRegistro["IdIdioma"]) {
                                                                    echo ' selected="selected"';
                                                                }
                                                                echo ' >' . $otroRegistro["NombreIdioma"] . '</option>';
                                                            }
                                                            mysqli_data_seek($listarIdioma, 0);
                                                            echo '</select><br> ';
                                                            //////////////////////////////////////////////select Tipo //////////////////////////////////////////////////////
                                                            echo '<label>Tipo: </label>';

                                                            echo '<select class="form-control"  name="fIdTipo">';
                                                            while ($otroRegistro = mysqli_fetch_array($listarTipo)) {
                                                                echo '<option value="' . $otroRegistro["IdTipo"] . '"';
                                                                if ($unRegistro["IdTipo"] == $otroRegistro["IdTipo"]) {
                                                                    echo ' selected="selected"';
                                                                }
                                                                echo '>' . $otroRegistro["NombreTipo"] . '</option>';
                                                            }
                                                            mysqli_data_seek($listarTipo, 0);
                                                            echo '</select><br>';
                                                            ?>
                                                        </div>
                                                    </div>
                                                </div>




                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php
                        }
                        ?>

                    </tbody>

                </table>
                <div id="paginador" class=""></div>
            </div>
        </div>
        <?php
        mysqli_free_result($listarLibro);
        $objetoConexion->desconectar($conexion);
        ?>
        <script src="../Assets/JS/buscador.js"></script>
        <script src="../Assets/JS/page.js"></script>
    </div>
</body>

</html>