<!doctype html>
<html>

<head>
    <meta charset="utf-8">
    <link rel="shortcut icon" href="../Assets/ICON/favicon.png">


    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <title>Formulario Multa</title>
</head>

<body></body>

<?php

session_start();
if (!isset($_SESSION['NombreRol'])) {
    header("location:../Vista/Login.php?mensaje=incorrecto");
}
$formulario = 'Multa';
$_SESSION['Menu'] = '2';
if (strpos('' . $_SESSION['MultasRol'], 'R') === false) {
    header("location:../Vista/home.php?mensaje=Permisos Insuficientes");
}

//inicio bloque de asuguramiento
include_once("../vista/menu.php");
include_once("../Modelo/conexion.php");
$objetoConexion = new conexion;
$conexion = $objetoConexion->conectar();

include_once("../Modelo/Multa/Multa.php");
$objetoMulta = new Multa($conexion, 0, '', '');
$listarMulta = $objetoMulta->listar();
@$mensaje = $_GET['mensaje'];
if (isset($mensaje)) {

    if ($mensaje == 'ErrorEliminar') {

        echo '<script type="text/javascript">

        alert("Error al Eliminar, ' . $formulario . ' con Asociaciones!");
        </script>';
    }
}

?>
<link rel="stylesheet" href="https://cdn.datatables.net/1.13.4/css/jquery.dataTables.css" />
<div id="main-container">
    <br>
    <!-- Button trigger modal -->
    <?php
    if (strpos('' . $_SESSION['MultasRol'], 'C') === false) {
    } else {
        
    }
    ?>
    <br>   
    <div style="text-align: left; padding: 1cm;">
        <div class="row">
            <div class="form-control">
                <!-- Modal -->
                <div class="row">
                    <div class="col-sm-1">
                        <label for="campo" style="margin-left: 0.5cm; margin-top: .2cm; ">Buscar: </label>
                    </div>
                    <div class="col-sm-3">
                        <input class="form-control me-2 light-table-filter" data-table="table_id" type="text"
                            placeholder="Escriba Texto a Buscar...">
                    </div>
                </div>
                <table class="table table_id" id="tblDatos">
                    <thead>
                        <th scope="col"></th>
                        <th scope="col">Valor</th>
                        <th scope="col">Estado</th>
                        <th scope="col">Fecha Multa</th>
                        <th scope="col">Fecha Pago</th>
                        <th scope="col">Id Prestamo</th>
                        <th scope="col"></th>
                    </thead>
                    <tbody id="content">
                    <?php

while ($unRegistro = mysqli_fetch_array($listarMulta)) {
    echo '<tr><form Id=fModificarMulta' . $unRegistro["IdMulta"] . '" action=" ../Controlador/controladorMulta.php" method="post">';
    echo '<td>
    <input class="form-control" type="hidden" name="fIdMulta" value="' . $unRegistro["IdMulta"] . '">
    <input class="form-control" type="hidden" name="fIdPrestamo" value="' . $unRegistro["IdPrestamo"] . '">
    <input class="form-control" type="hidden" name="fIdEstadoMulta" value="' . $unRegistro["IdPrestamo"] . '">
    </td>';

    echo '<td>'.$unRegistro['ValorMulta'].'</td>';
    echo '<td>';
    if ($unRegistro["EstadoMulta"] == "1") {
        echo 'Pendiente';
    } else if ($unRegistro["EstadoMulta"] == "0") {
        echo 'Paga';
    }
    echo '</td>'; 
    echo '<td>'.$unRegistro['FechaCreacionMulta'].'</td>';
    echo '<td>'.$unRegistro['FechaPagoMulta'].'</td>';
    echo '<td>'.$unRegistro['IdPrestamo'].'</td>';
    echo '<td>';
    if ($unRegistro["EstadoMulta"] == "1") {
    echo'
    <button title="Actualizar Registro" type="button"  value="Actualizar" name="fEnviar" class="btn btn-outline-success"
    data-bs-toggle="modal"
    data-bs-target="#Update' . $unRegistro["IdMulta"] . '">
    
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-currency-dollar" viewBox="0 0 16 16">
    <path d="M4 10.781c.148 1.667 1.513 2.85 3.591 3.003V15h1.043v-1.216c2.27-.179 3.678-1.438 3.678-3.3 0-1.59-.947-2.51-2.956-3.028l-.722-.187V3.467c1.122.11 1.879.714 2.07 1.616h1.47c-.166-1.6-1.54-2.748-3.54-2.875V1H7.591v1.233c-1.939.23-3.27 1.472-3.27 3.156 0 1.454.966 2.483 2.661 2.917l.61.162v4.031c-1.149-.17-1.94-.8-2.131-1.718H4zm3.391-3.836c-1.043-.263-1.6-.825-1.6-1.616 0-.944.704-1.641 1.8-1.828v3.495l-.2-.05zm1.591 1.872c1.287.323 1.852.859 1.852 1.769 0 1.097-.826 1.828-2.2 1.939V8.73l.348.086z"/>
    </svg></button>'; 
    }
   echo '</td>';
   ?>
    <div class="modal fade" id="Update<?php echo $unRegistro["IdMulta"]; ?>" tabindex="-1"
                                aria-labelledby="exampleModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h1 class="modal-title fs-5" id="exampleModalLabel">Confirmación</h1>
                                            <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                aria-label="Close"></button>
                                        </div>
                                        <div class="modal-body">
                                            ¿Desea de Actualizar el Registro?
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-danger"
                                                data-bs-dismiss="modal">Cancelar</button>
                                            <button type="submit" name="fEnviar" value="Actualizar"
                                                class="btn btn-success">Actualizar</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
   <?php
    echo '</form></tr>';
}
?>
                    </tbody>
                </table>
                <div id="paginador" class=""></div>
            </div>
        </div>
    </div>
    <?php
    mysqli_free_result($listarMulta);
    $objetoConexion->desconectar($conexion);
    ?>
    <script src="../Assets/JS/buscador.js"></script>
    <script src="../Assets/JS/page.js"></script>
</div>

</body>

</html>