<!doctype html>
<html>

<head>
    <meta charset="utf-8">
    <link rel="shortcut icon" href="../Assets/ICON/favicon.png">
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <title>Formulario Prestamo</title>
</head>

<body>
    <!------------------------------------------------------Inicio Pagina---------------------------------------------------------------------------->
    <!---------------------------------------------------Inclusiones necesarias---------------------------------------------------------------------->
    <!----------------------------------------------------------------------------------------------------------------------------------------------->

    <?php
    session_start();
    if (!isset($_SESSION['NombreRol'])) {
        header("location:../Vista/Login.php?mensaje=incorrecto");
    }
    $formulario = 'Prestamo';
    $_SESSION['Menu'] = '2';
    if (strpos('' . $_SESSION['PrestamosRol'], 'R') === false) {
        header("location:../Vista/home.php?mensaje=Permisos Insuficientes");
    }
    //Incluye Menu que es identico en cada formulario
    include_once("../vista/menu.php");
    //instancias de objetos necesarios
    include_once("../Modelo/conexion.php");
    $objetoConexion = new conexion;
    $conexion = $objetoConexion->conectar();
    include_once("../Modelo/Prestamo/Prestamo.php");
    $objetoPrestamo = new Prestamos($conexion, 0, '', '', '', '', '', '', '');
    $listarPrestamo = $objetoPrestamo->listar();
    include_once("../Modelo/Ejemplar/Ejemplar.php");
    $objetoEjemplar = new Ejemplar($conexion, 0, '', '', '', '', '', '');
    $listarEjemplar = $objetoEjemplar->listar('');
    $listarEjemplar2 = $objetoEjemplar->listarExterno();
    include_once("../Modelo/Usuario/Usuario.php");
    $objetoUsuario = new Usuario($conexion, 0, '', '', '', '', '', '', '', '', '');
    $listarUsuario = $objetoUsuario->listarExterno();
    @$mensaje = $_GET['mensaje'];
    if (isset($mensaje)) {

        if ($mensaje == 'ErrorEliminar') {

            echo '<script type="text/javascript">

        alert("Error al Eliminar, ' . $formulario . ' con Asociaciones!");
        
       
        </script>';
        }
    }
    ?>
    <!----------------------------------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------Controles Superiores------------------------------------------------------------------------>
    <!----------------------------------------------------------------------------------------------------------------------------------------------->
    <div id="main-container">
        <br>
        <!-- Button trigger modal para llamar al formulario Modela de registro de Prestamo -->
        <?php
        if (strpos('' . $_SESSION['PrestamosRol'], 'C') === false) {
        } else {
            echo '<button type="button" class="btn btn-outline-primary" data-bs-toggle="modal" data-bs-target="#exampleModal"
            style="margin-left: 1cm; " title="Agregar Registro">
            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                class="bi bi-plus-square-fill" viewBox="0 0 16 16">
                <path
                    d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z" />
            </svg>Agregar Registro
        </button>';
        }
        ?>
        <!-------------------------------Fin Boton Agregar---------------------------------->

        <br>
        <br>
        <!----------------------------------------------------------------------------------------------------------------------------------------------->
        <!---------------------------------------------------Barra de Busqueda------------------------------------------------------------------------>
        <!----------------------------------------------------------------------------------------------------------------------------------------------->
   
        <!----------------------------------------------------------------------------------------------------------------------------------------------->
        <!---------------------------------------------------div General para clase Form Control--------------------------------------------------------->
        <!----------------------------------------------------------------------------------------------------------------------------------------------->

        <div style="text-align: left; padding: 1cm;">
            <div class="form-control">
                <!----------------------------------------------------------------------------------------------------------------------------------------------->
                <!---------------------------------------------------Formulario Modal de Registro---------------------------------------------------------------->
                <!----------------------------------------------------------------------------------------------------------------------------------------------->
                <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel"
                    aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h1 class="modal-title fs-5" id="exampleModalLabel">Agregar Prestamo</h1>
                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                    aria-label="Close"></button>
                            </div>
                            <div class="modal-body">
                                <form id="fIngresarPrestamo" action="../Controlador/ControladorPrestamo.php"
                                    method="post">

                                    <input type="hidden" name="fIdPrestamo" value="0">
                                    <input type="hidden" name="fFechaPrestamo" value="0">
                                    <input type="hidden" name="fFechaDevolucionPrestamoRealizada" value="0">
                                    <input type="hidden" name="fEstadoPrestamo" value="1">
                                    <label>Fecha Devolución: </label> <input required class="form-control"
                                        type="datetime-local" name="fFechaDevolucionPrestamoPlaneada"><br>
                                    <label>Nota: </label>
                                    <input type="text" class="form-control" name="fNotaPrestamo"
                                        placeholder="Nota Prestamo"><br>
                                    <label>Ejemplar: </label>
                                    <?php
                                    echo '<select class="form-control"  name="fIdEjemplar">';
                                    while ($otroRegistro = mysqli_fetch_array($listarEjemplar2)) {
                                        echo '<option value="' . $otroRegistro["IdEjemplar"] . '" >' . $otroRegistro["NumeroRegistroEjemplar"] . '-' . $otroRegistro["TituloLibro"] . '</option>';
                                    }
                                    mysqli_data_seek($listarEjemplar2, 0);
                                    echo '</select><br> ';
                                    ?>
                                    <label>Usuario: </label>
                                    <?php
                                    echo '<select class="form-control"  name="fIdUsuario">';
                                    while ($otroRegistro = mysqli_fetch_array($listarUsuario)) {
                                        echo '<option value="' . $otroRegistro["IdUsuario"] . '" >' . $otroRegistro["NombreUsuario"] . ' ' . $otroRegistro["ApellidoUsuario"] . '</option>';
                                    }
                                    mysqli_data_seek($listarUsuario, 0);
                                    echo '</select><br> ';
                                    ?>


                                    <input type="submit" name="fEnviar" value="Ingresar" class="btn btn-primary"
                                        title="Guardar Datos">
                                    <input type="reset" value="Limpiar" class="btn btn-info" title="Limpiar Formulario">
                                    <button type="button" class="btn btn-secondary"
                                        data-bs-dismiss="modal">Cerrar</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <!-------------------------------Fin Fromulario Modal de Registro de Prestamo---------------------------------->


                <!----------------------------------------------------------------------------------------------------------------------------------------------->
                <!---------------------------------------------------Tabla Con Registros---------------------------------------------------------------->
                <!----------------------------------------------------------------------------------------------------------------------------------------------->
                <div class="row">
            <div class="col-sm-1">
                <label for="campo" style="margin-left: 0.5cm; margin-top: .2cm; ">Buscar: </label>
            </div>
            <div class="col-sm-11">
                <input class="form-control me-2 light-table-filter" data-table="table_id" type="text"
                    placeholder="Escriba Texto a Buscar...">
            </div>
        </div>
                <table class="table table_id" id="tblDatos">
                    <!-------------------------------Titutlo tabla---------------------------------->
                    <thead>
                    <th scope="col">ID</th>
                        <th scope="col">Fecha Prestamo</th>
                        <th scope="col">Fecha limite Devolucion.</th>
                        <th scope="col">Fecha Devolucion</th>
                        <th scope="col">Nota</th>
                        <th scope="col">Estado</th>
                        <th scope="col">Ejemplar</th>
                        <th scope="col">Usuario</th>
                        <th scope="col"></th>
                    </thead>
                    <!-------------------------------Cuerpor tabla---------------------------------->
                    <tbody id="content">
                        <?php
                        //<!-------------------------------Registros de la bbdd---------------------------------->
                        while ($unRegistro = mysqli_fetch_array($listarPrestamo)) {
                            echo '<form Id=fModificarColeccion' . $unRegistro["IdPrestamo"] . '" action=" ../Controlador/controladorPrestamo.php" method="post">';
                            echo '<tr><input  type="hidden" name="fIdPrestamo" value="' . $unRegistro["IdPrestamo"] . '">';
                            echo '<td>' . $unRegistro["IdPrestamo"] . '</td>';
                            echo '<td>' . $unRegistro["FechaPrestamo"] . '</td>';
                            echo '<td>' . $unRegistro["FechaDevolucionPrestamoPlaneada"] . '</td>';
                            echo '<td>' . $unRegistro["FechaDevolucionPrestamoRealizada"] . '</td>';
                            echo '<td>' . $unRegistro["NotaPrestamos"] . '</td>';
                            echo '<td>';
                            if ($unRegistro["EstadoPrestamo"] == "1") {
                                echo 'Prestado';
                            } else if ($unRegistro["EstadoPrestamo"] == "2") {
                                echo 'Devuelto';
                            } else if ($unRegistro["EstadoPrestamo"] == "0") {
                                echo 'Reservado';
                            }else if ($unRegistro["EstadoPrestamo"] == "3") {
                                echo 'Multado';
                            }
                            echo '</td>';
                            echo '<td>' . $unRegistro["NumeroRegistroEjemplar"] . '</td>';
                            echo '<td>' . $unRegistro["NombreUsuario"] . '</td>';
                            //<!-------------------------------Botones de control---------------------------------->
                            echo '</td><td>';
                            if (strpos('' . $_SESSION['PrestamosRol'], 'U') === false) {
                            } else {
                                if ($unRegistro["EstadoPrestamo"] == "1") {
                                    echo '<button title="Devolver Libro" type="button" class="btn btn-outline-danger"  data-bs-toggle="modal" data-bs-target="#Devolver' . $unRegistro["IdPrestamo"] . '">
                                
                                    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-arrow-return-left" viewBox="0 0 16 16">
                                    <path fill-rule="evenodd" d="M14.5 1.5a.5.5 0 0 1 .5.5v4.8a2.5 2.5 0 0 1-2.5 2.5H2.707l3.347 3.346a.5.5 0 0 1-.708.708l-4.2-4.2a.5.5 0 0 1 0-.708l4-4a.5.5 0 1 1 .708.708L2.707 8.3H12.5A1.5 1.5 0 0 0 14 6.8V2a.5.5 0 0 1 .5-.5z"/>
                                    </svg>
                                    
                                      </button>';
                                    echo '<button title="Actualizar Registro" type="button" class="btn btn-outline-primary"  data-bs-toggle="modal" data-bs-target="#Modal' . $unRegistro["IdPrestamo"] . '">
                                
                                    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-arrow-clockwise" viewBox="0 0 16 16">
                                        <path fill-rule="evenodd" d="M8 3a5 5 0 1 0 4.546 2.914.5.5 0 0 1 .908-.417A6 6 0 1 1 8 2v1z"/>
                                        <path d="M8 4.466V.534a.25.25 0 0 1 .41-.192l2.36 1.966c.12.1.12.284 0 .384L8.41 4.658A.25.25 0 0 1 8 4.466z"/>
                                    </svg>
                            
                                    </button>';
                                } else if ($unRegistro["EstadoPrestamo"] == "0") {
                                    //echo 'Reservado';
                                    echo '<button title="Prestar Libro" type="button" class="btn btn-outline-warning"  data-bs-toggle="modal" data-bs-target="#Prestar' . $unRegistro["IdPrestamo"] . '">
                                
                                    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-arrow-return-right" viewBox="0 0 16 16">
                                    <path fill-rule="evenodd" d="M1.5 1.5A.5.5 0 0 0 1 2v4.8a2.5 2.5 0 0 0 2.5 2.5h9.793l-3.347 3.346a.5.5 0 0 0 .708.708l4.2-4.2a.5.5 0 0 0 0-.708l-4-4a.5.5 0 0 0-.708.708L13.293 8.3H3.5A1.5 1.5 0 0 1 2 6.8V2a.5.5 0 0 0-.5-.5z"/>
                                    </svg>
                                    
                                      </button>';
                                    
                                } else if ($unRegistro["EstadoPrestamo"] == "2") {
                                  //  echo 'Devuelto';
                                }else if ($unRegistro["EstadoPrestamo"] == "3") {
                                    //  echo 'Devuelto';
                                  }
                            }

                            if (strpos('' . $_SESSION['PrestamosRol'], 'D') === false) {
                            } else {
                                if ($unRegistro["EstadoPrestamo"] == "3") {
                                    //  echo 'Devuelto';
                                  }else{
                                    echo '<input type="button" class="btn btn-danger" value="X"  title="Eliminar Registro" data-bs-toggle="modal"
                                    data-bs-target="#Delete' . $unRegistro["IdPrestamo"] . '"></td>';
                                  }
                               
                            }
                            ?>
                            <!----------------------------------------------------------------------------------------------------------------------------------------------->
                        <!---------------------------------------------------venatana Modal de Eliminar---------------------------------------------------------------->
                            <!----------------------------------------------------------------------------------------------------------------------------------------------->

                        <div class="modal fade" id="Delete<?php echo $unRegistro["IdPrestamo"] ?>" tabindex="-1" aria-labelledby="exampleModalLabel"
                            aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h1 class="modal-title fs-5" id="exampleModalLabel">Confirmación</h1>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal"
                                            aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        ¿Desea de Eliminar el Registro?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-danger"
                                            data-bs-dismiss="modal">Cancelar</button>
                                        <button type="submit" name="fEnviar" value="X"
                                            class="btn btn-success">Eliminar</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php echo '
                                </form></tr>';
                        ?>
                        <!----------------------------------------------------------------------------------------------------------------------------------------------->
                        <!---------------------------------------------------Formulario Modal de Actualizacion---------------------------------------------------------------->
                        <!----------------------------------------------------------------------------------------------------------------------------------------------->
                        <div class="modal face" id="Modal<?php echo $unRegistro["IdPrestamo"]; ?>" tabindex="-1"
                            aria-labelledby="exampleModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h1 class="modal-title fs-5" id="exampleModalLabel">Actualizar Prestamo</h1>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal"
                                            aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <form id="fIngresarPrestamo <?php echo $unRegistro["IdPrestamo"]; ?>"
                                            action="../Controlador/ControladorPrestamo.php" method="post">
                                            <input type="hidden" name="fIdPrestamo"
                                                value="<?php echo $unRegistro["IdPrestamo"] ?>">
                                            <label>Fecha Prestamo: </label><input class="form-control" type="hidden"
                                                name="fFechaPrestamo"
                                                value="<?php echo $unRegistro["FechaPrestamo"] ?>"><br>
                                            <p style="margin-top: 10px;font-weight: bold;">
                                                <label>
                                                    <?php echo $unRegistro["FechaPrestamo"] ?>
                                                </label>
                                            </p>
                                            <label style="margin-top: 6px;">Fecha límite Devolución:
                                            </label> <input required class="form-control" type="datetime-local"
                                                name="fFechaDevolucionPrestamoPlaneada"
                                                value="<?php echo $unRegistro["FechaDevolucionPrestamoPlaneada"] ?>"
                                                placeholder="Nombre Prestamo">

                                            <label>Fecha Devolución: </label><input class="form-control" type="hidden"
                                                name="fFechaDevolucionPrestamoRealizada"
                                                value="<?php echo $unRegistro["FechaDevolucionPrestamoRealizada"] ?>"><br>
                                            <p style="margin-top: 10px;font-weight: bold;">
                                                <label>
                                                    <?php echo $unRegistro["FechaDevolucionPrestamoRealizada"] ?>
                                                </label>
                                            </p>
                                            <label>Nota:</label><input class="form-control" type="text"
                                                name="fNotaPrestamo" value="<?php echo $unRegistro["NotaPrestamos"] ?>"
                                                placeholder="Nota Prestamo"><br>
                                            <label>Estado: </label><input class="form-control" type="hidden"
                                                name="fEstadoPrestamo"
                                                value="<?php echo $unRegistro["EstadoPrestamo"]; ?>"><br>
                                            <p style="margin-top: 10px;font-weight: bold;">
                                                <label>
                                                    <?php if ($unRegistro["EstadoPrestamo"] == "1") {
                                                        echo 'Prestado';
                                                    } else if ($unRegistro["EstadoPrestamo"] == "2") {
                                                        echo 'Devuelto';
                                                    } else if ($unRegistro["EstadoPrestamo"] == "0") {
                                                        echo 'Reservado';
                                                    } ?>
                                                </label>
                                            </p>
                                            <label>Ejemplar: </label><input class="form-control" type="hidden"
                                                name="fIdEjemplar" value="<?php echo $unRegistro["IdEjemplar"] ?>"><br>
                                            <p style="margin-top: 10px;font-weight: bold;">
                                                <label>
                                                    <?php
                                                    while ($otroRegistro = mysqli_fetch_array($listarEjemplar)) {
                                                        if ($unRegistro["IdEjemplar"] == $otroRegistro["IdEjemplar"]) {
                                                            echo '' . $otroRegistro["NumeroRegistroEjemplar"] . '-' . $otroRegistro["TituloLibro"];
                                                        }
                                                    }
                                                    mysqli_data_seek($listarEjemplar, 0);
                                                    ?>
                                                </label>
                                            </p>
                                            <label>Usuario: </label><input class="form-control" type="hidden"
                                                name="fIdUsuario" value="<?php echo $unRegistro["IdUsuario"] ?>"><br>
                                            <p style="margin-top: 10px;font-weight: bold;">
                                                <label>
                                                    <?php
                                                    while ($otroRegistro = mysqli_fetch_array($listarUsuario)) {
                                                        if ($unRegistro["IdUsuario"] == $otroRegistro["IdUsuario"]) {
                                                            echo '' . $otroRegistro["NombreUsuario"] . '-' . $otroRegistro["ApellidoUsuario"];
                                                        }
                                                    }
                                                    mysqli_data_seek($listarUsuario, 0);
                                                    ?>
                                                </label>
                                            </p>

                                            <input type="Submit" name="fEnviar" value="Actualizar"
                                                class="btn btn-primary" title="Guardar Datos" data-bs-toggle="modal"
                                                data-bs-target="#Update">
                                            <input type="reset" value="Limpiar" class="btn btn-info"
                                                title="Limpiar Formulario">
                                            <button type="button" class="btn btn-secondary"
                                                data-bs-dismiss="modal">Cerrar</button>

                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>



                        <!----------------------------------------------------------------------------------------------------------------------------------------------->
                        <!---------------------------------------------------Formulario Modal de Prestamo---------------------------------------------------------------->
                        <!----------------------------------------------------------------------------------------------------------------------------------------------->
                        <div class="modal face" id="Prestar<?php echo $unRegistro["IdPrestamo"]; ?>" tabindex="-1"
                            aria-labelledby="exampleModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h1 class="modal-title fs-5" id="exampleModalLabel">Prestar Libro</h1>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal"
                                            aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <form id="fIngresarPrestamo <?php echo $unRegistro["IdPrestamo"]; ?>"
                                            action="../Controlador/ControladorPrestamo.php" method="post">
                                            <input type="hidden" name="fIdPrestamo"
                                                value="<?php echo $unRegistro["IdPrestamo"] ?>">
                                            <label>Fecha Prestamo: </label><input class="form-control" type="hidden"
                                                name="fFechaPrestamo"
                                                value="<?php echo $unRegistro["FechaPrestamo"] ?>"><br>
                                            <p style="margin-top: 10px;font-weight: bold;">
                                                <label>
                                                    <?php echo $unRegistro["FechaPrestamo"] ?>
                                                </label>
                                            </p>
                                            <label style="margin-top: 6px;">Fecha límite Devolución:
                                            </label> <input required class="form-control" type="datetime-local"
                                                name="fFechaDevolucionPrestamoPlaneada"
                                                value="<?php echo $unRegistro["FechaDevolucionPrestamoPlaneada"] ?>"
                                                placeholder="Nombre Prestamo">

                                            <label>Fecha Devolución: </label><input class="form-control" type="hidden"
                                                name="fFechaDevolucionPrestamoRealizada"
                                                value="<?php echo $unRegistro["FechaDevolucionPrestamoRealizada"] ?>"><br>
                                            <p style="margin-top: 10px;font-weight: bold;">
                                                <label>
                                                    <?php echo $unRegistro["FechaDevolucionPrestamoRealizada"] ?>
                                                </label>
                                            </p>
                                            <label>Nota:</label><input class="form-control" type="text"
                                                name="fNotaPrestamo" value="<?php echo $unRegistro["NotaPrestamos"] ?>"
                                                placeholder="Nota Prestamo"><br>
                                            <label>Estado: </label><input class="form-control" type="hidden"
                                                name="fEstadoPrestamo"
                                                value="1"><br>
                                            <p style="margin-top: 10px;font-weight: bold;">
                                                <label>
                                                    <?php if ($unRegistro["EstadoPrestamo"] == "1") {
                                                        echo 'Prestado';
                                                    } else if ($unRegistro["EstadoPrestamo"] == "2") {
                                                        echo 'Devuelto';
                                                    } else if ($unRegistro["EstadoPrestamo"] == "0") {
                                                        echo 'Reservado';
                                                    } ?>
                                                </label>
                                            </p>
                                            <label>Ejemplar: </label><input class="form-control" type="hidden"
                                                name="fIdEjemplar" value="<?php echo $unRegistro["IdEjemplar"] ?>"><br>
                                            <p style="margin-top: 10px;font-weight: bold;">
                                                <label>
                                                    <?php
                                                    while ($otroRegistro = mysqli_fetch_array($listarEjemplar)) {
                                                        if ($unRegistro["IdEjemplar"] == $otroRegistro["IdEjemplar"]) {
                                                            echo '' . $otroRegistro["NumeroRegistroEjemplar"] . '-' . $otroRegistro["TituloLibro"];
                                                        }
                                                    }
                                                    mysqli_data_seek($listarEjemplar, 0);
                                                    ?>
                                                </label>
                                            </p>
                                            <label>Usuario: </label><input class="form-control" type="hidden"
                                                name="fIdUsuario" value="<?php echo $unRegistro["IdUsuario"] ?>"><br>
                                            <p style="margin-top: 10px;font-weight: bold;">
                                                <label>
                                                    <?php
                                                    while ($otroRegistro = mysqli_fetch_array($listarUsuario)) {
                                                        if ($unRegistro["IdUsuario"] == $otroRegistro["IdUsuario"]) {
                                                            echo '' . $otroRegistro["NombreUsuario"] . '-' . $otroRegistro["ApellidoUsuario"];
                                                        }
                                                    }
                                                    mysqli_data_seek($listarUsuario, 0);
                                                    ?>
                                                </label>
                                            </p>

                                            <input type="Submit" name="fEnviar" value="Actualizar"
                                                class="btn btn-primary" title="Guardar Datos" data-bs-toggle="modal"
                                                data-bs-target="#Update">
                                            <input type="reset" value="Limpiar" class="btn btn-info"
                                                title="Limpiar Formulario">
                                            <button type="button" class="btn btn-secondary"
                                                data-bs-dismiss="modal">Cerrar</button>

                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>





                                                <!----------------------------------------------------------------------------------------------------------------------------------------------->
                        <!---------------------------------------------------Formulario Modal de  devolver libro---------------------------------------------------------------->
                        <!----------------------------------------------------------------------------------------------------------------------------------------------->
                        <div class="modal face" id="Devolver<?php echo $unRegistro["IdPrestamo"]; ?>" tabindex="-1"
                            aria-labelledby="exampleModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h1 class="modal-title fs-5" id="exampleModalLabel">Devolver Libro</h1>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal"
                                            aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <form id="fIngresarPrestamo <?php echo $unRegistro["IdPrestamo"]; ?>"
                                            action="../Controlador/ControladorPrestamo.php" method="post">
                                            <input type="hidden" name="fIdPrestamo"
                                                value="<?php echo $unRegistro["IdPrestamo"] ?>">
                                            <label>Fecha Prestamo: </label><input class="form-control" type="hidden"
                                                name="fFechaPrestamo"
                                                value="<?php echo $unRegistro["FechaPrestamo"] ?>"><br>
                                            <p style="margin-top: 10px;font-weight: bold;">
                                                <label>
                                                    <?php echo $unRegistro["FechaPrestamo"] ?>
                                                </label>
                                            </p>
                                            <label style="margin-top: 6px;">Fecha límite Devolución:
                                            </label> <input required class="form-control" type="hidden"
                                                name="fFechaDevolucionPrestamoPlaneada"
                                                value="<?php echo $unRegistro["FechaDevolucionPrestamoPlaneada"] ?>"
                                                placeholder="Nombre Prestamo">

                                            <input class="form-control" type="hidden"
                                                name="fFechaDevolucionPrestamoRealizada"
                                                value="<?php echo $unRegistro["FechaDevolucionPrestamoRealizada"] ?>"><br>
                                            <p style="margin-top: 10px;font-weight: bold;">
                                                <label>
                                                    <?php echo $unRegistro["FechaDevolucionPrestamoRealizada"] ?>
                                                </label>
                                            </p>
                                            <label>Nota:</label><input class="form-control" type="text"
                                                name="fNotaPrestamo" value="<?php echo $unRegistro["NotaPrestamos"] ?>"
                                                placeholder="Nota Prestamo"><br>
                                            <label>Estado: </label><input class="form-control" type="hidden"
                                                name="fEstadoPrestamo"
                                                value="2"><br>
                                            <p style="margin-top: 10px;font-weight: bold;">
                                                <label>
                                                    <?php if ($unRegistro["EstadoPrestamo"] == "1") {
                                                        echo 'Prestado';
                                                    } else if ($unRegistro["EstadoPrestamo"] == "2") {
                                                        echo 'Devuelto';
                                                    } else if ($unRegistro["EstadoPrestamo"] == "0") {
                                                        echo 'Reservado';
                                                    } ?>
                                                </label>
                                            </p>
                                            <label>Ejemplar: </label><input class="form-control" type="hidden"
                                                name="fIdEjemplar" value="<?php echo $unRegistro["IdEjemplar"] ?>"><br>
                                            <p style="margin-top: 10px;font-weight: bold;">
                                                <label>
                                                    <?php
                                                    while ($otroRegistro = mysqli_fetch_array($listarEjemplar)) {
                                                        if ($unRegistro["IdEjemplar"] == $otroRegistro["IdEjemplar"]) {
                                                            echo '' . $otroRegistro["NumeroRegistroEjemplar"] . '-' . $otroRegistro["TituloLibro"];
                                                        }
                                                    }
                                                    mysqli_data_seek($listarEjemplar, 0);
                                                    ?>
                                                </label>
                                            </p>
                                            <label>Usuario: </label><input class="form-control" type="hidden"
                                                name="fIdUsuario" value="<?php echo $unRegistro["IdUsuario"] ?>"><br>
                                            <p style="margin-top: 10px;font-weight: bold;">
                                                <label>
                                                    <?php
                                                    while ($otroRegistro = mysqli_fetch_array($listarUsuario)) {
                                                        if ($unRegistro["IdUsuario"] == $otroRegistro["IdUsuario"]) {
                                                            echo '' . $otroRegistro["NombreUsuario"] . '-' . $otroRegistro["ApellidoUsuario"];
                                                        }
                                                    }
                                                    mysqli_data_seek($listarUsuario, 0);
                                                    ?>
                                                </label>
                                            </p>

                                            <input type="Submit" name="fEnviar" value="Devolver"
                                                class="btn btn-primary" title="Guardar Datos" data-bs-toggle="modal"
                                                data-bs-target="#Update">
                                            <input type="reset" value="Limpiar" class="btn btn-info"
                                                title="Limpiar Formulario">
                                            <button type="button" class="btn btn-secondary"
                                                data-bs-dismiss="modal">Cerrar</button>

                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php
                        }
                        ?>

                    </tbody>
                </table>
                <div id="paginador" class=""></div>
            </div>

        </div>
        <?php
        mysqli_free_result($listarPrestamo);
        $objetoConexion->desconectar($conexion);
        ?>
        <script src="../Assets/JS/buscador.js"></script>
        <script src="../Assets/JS/page.js"></script>
        <script>
            $(document).on('hidden.bs.modal', function (event) {
                if ($('.modal:visible').length) {
                    $('body').addClass('modal-open');
                }
            });
        </script>
    </div>
</body>

</html>