<!doctype html>
<html>

<head>
    <meta charset="utf-8">
    <link rel="shortcut icon" href="../Assets/ICON/favicon.png">
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <title>Formulario Rol</title>
</head>

<body>
    <!------------------------------------------------------Inicio Pagina---------------------------------------------------------------------------->
    <!---------------------------------------------------Inclusiones necesarias---------------------------------------------------------------------->
    <!----------------------------------------------------------------------------------------------------------------------------------------------->

    <?php
    session_start();
    if (!isset($_SESSION['NombreRol'])){
        header("location:../Vista/Login.php?mensaje=incorrecto");
    }
    $formulario = 'Rol';
    $_SESSION['Menu']='2';
    if (strpos('' . $_SESSION['RolesRol'], 'R') === false) {
        header("location:../Vista/home.php?mensaje=Permisos Insuficientes");
    }
    //Incluye Menu que es identico en cada formulario
    include_once("../vista/menu.php");
    //instancias de objetos necesarios
    include_once("../Modelo/conexion.php");
    $objetoConexion = new conexion;
    $conexion = $objetoConexion->conectar();
    include_once("../Modelo/rol/rol.php");
    $objetoRol = new Rol($conexion, 0, '', '', '', '', '', '', '', '', '', '', '', '', '', '');
    $listarRol = $objetoRol->listar();
    @$mensaje = $_GET['mensaje'];
    if (isset($mensaje)) {

        if ($mensaje == 'ErrorEliminar') {

            echo '<script type="text/javascript">

        alert("Error al Eliminar, '.$formulario.' con Asociaciones!");
        
       
        </script>';
        }
    } 
    ?>
    <!----------------------------------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------Controles Superiores------------------------------------------------------------------------>
    <!----------------------------------------------------------------------------------------------------------------------------------------------->
    <div id="main-container">
        <br>
        <!-- Button trigger modal para llamar al formulario Modela de registro de Rol -->
        <?php
        if (strpos('' . $_SESSION['RolesRol'], 'C') === false) {
        } else {
            echo '<button type="button" class="btn btn-outline-primary" data-bs-toggle="modal" data-bs-target="#exampleModal"
            style="margin-left: 1cm; " title="Agregar Registro">
            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                class="bi bi-plus-square-fill" viewBox="0 0 16 16">
                <path
                    d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z" />
            </svg>Agregar Registro
        </button>';
    }
    ?>
        <!-------------------------------Fin Boton Agregar---------------------------------->

       
        <br>
        <br>
        <!----------------------------------------------------------------------------------------------------------------------------------------------->
        <!---------------------------------------------------Barra de Busqueda------------------------------------------------------------------------>
        <!----------------------------------------------------------------------------------------------------------------------------------------------->
        <div class="row">
            <div class="col-sm-1">
                <label for="campo" style="margin-left: 0.5cm; margin-top: .2cm; ">Buscar: </label>
            </div>
            <div class="col-sm-11">
                <input class="form-control me-2 light-table-filter" data-table="table_id" type="text"
                    placeholder="Escriba Texto a Buscar...">
            </div>
        </div>
        <!----------------------------------------------------------------------------------------------------------------------------------------------->
        <!---------------------------------------------------div General para clase Form Control--------------------------------------------------------->
        <!----------------------------------------------------------------------------------------------------------------------------------------------->

        <div style="text-align: left; padding: 1cm;">
            <div class="form-control">
                <!----------------------------------------------------------------------------------------------------------------------------------------------->
                <!---------------------------------------------------Formulario Modal de Registro---------------------------------------------------------------->
                <!----------------------------------------------------------------------------------------------------------------------------------------------->
                <div class="modal fade modal-lg" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel"
                    aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h1 class="modal-title fs-5" id="exampleModalLabel">Agregar Rol</h1>
                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                    aria-label="Close"></button>
                            </div>
                            <div class="modal-body">
                                <form id="fIngresarRol" action="../Controlador/ControladorRol.php" method="post">
                                    <div class="container">
                                        <div class="row ">
                                            <div class="col-6">
                                                <input type="hidden" name="fIdRol" value="0">
                                                <label>Nombre: </label> <input required class="form-control" type="text"
                                                    name="fNombreRol" placeholder="Nombre Rol"><br>
                                                <label>Autor: </label><input class="form-control" type="text"
                                                    name="fAutoresRol" placeholder="Autor Rol"><br>
                                                <label>Categoria: </label><input class="form-control" type="text"
                                                    name="fCategoriasRol" placeholder="Categoria Rol"><br>
                                                <label>Colección: </label><input class="form-control" type="text"
                                                    name="fColeccionesRol" placeholder="Colección Rol"><br>
                                                <label>Editorial: </label><input class="form-control" type="text"
                                                    name="fEditorialesRol" placeholder="Editorial Rol"><br>
                                                <label>Idioma: </label><input class="form-control" type="text"
                                                    name="fIdiomasRol" placeholder="Idioma Rol"><br>
                                                <label>Tipo: </label><input class="form-control" type="text"
                                                    name="fTiposRol" placeholder="Tipo Rol"><br>
                                            </div>
                                            <div class="col-6">
                                                <label>Libro: </label> <input class="form-control" type="text"
                                                    name="fLibrosRol" placeholder="Libro Rol"><br>
                                                <label>Ejemplar: </label> <input class="form-control" type="text"
                                                    name="fEjemplaresRol" placeholder="Ejemplar Rol"><br>
                                                <label>Multa: </label><input class="form-control" type="text"
                                                    name="fMultasRol" placeholder="Multa Rol"><br>
                                                <label>Prestamo: </label><input class="form-control" type="text"
                                                    name="fPrestamosRol" placeholder="Prestamo Rol"><br>
                                                <label>Rol: </label><input class="form-control" type="text"
                                                    name="fRolesRol" placeholder="Rol Rol"><br>
                                                <label>Usuario: </label><input class="form-control" type="text"
                                                    name="fUsuariosRol" placeholder="Usuario Rol"><br>
                                                <label>Estado: </label>
                                                <select name="fEstadoRol" class="form-control">
                                                    <option value="1">Activo</option>
                                                    <option value="0">Inactivo</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>

                                    <input type="submit" name="fEnviar" value="Ingresar" class="btn btn-primary"
                                        title="Guardar Datos">
                                    <input type="reset" value="Limpiar" class="btn btn-info" title="Limpiar Formulario">
                                    <button type="button" class="btn btn-secondary"
                                        data-bs-dismiss="modal">Cerrar</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <!-------------------------------Fin Fromulario Modal de Registro de Rol---------------------------------->


                <!----------------------------------------------------------------------------------------------------------------------------------------------->
                <!---------------------------------------------------Tabla Con Registros---------------------------------------------------------------->
                <!----------------------------------------------------------------------------------------------------------------------------------------------->

                <table class="table table_id" id="tblDatos">
                    <!-------------------------------Titutlo tabla---------------------------------->
                    <thead>
                        <th scope="col">Nombre</th>
                        <th scope="col">Autor</th>
                        <th scope="col">Categoria</th>
                        <th scope="col">Colección</th>
                        <th scope="col">Editorial</th>
                        <th scope="col">Ejemplares</th>
                        <th scope="col">Idioma</th>
                        <th scope="col">Tipo</th>
                        <th scope="col">Libro</th>
                        <th scope="col">Multa</th>
                        <th scope="col">Prestamo</th>
                        <th scope="col">Rol</th>
                        <th scope="col">Usuario</th>
                        <th scope="col">Estado</th>
                        <th scope="col"></th>
                    </thead>
                    <!-------------------------------Cuerpor tabla---------------------------------->
                    <tbody id="content">
                        <?php
                        //<!-------------------------------Registros de la bbdd---------------------------------->
                        while ($unRegistro = mysqli_fetch_array($listarRol)) {
                            echo '<form Id=fModificarColeccion' . $unRegistro["IdRol"] . '" action=" ../Controlador/controladorRol.php" method="post">';
                            echo '<tr><input  type="hidden" name="fIdRol" value="' . $unRegistro["IdRol"] . '">';
                            echo '<td>' . $unRegistro["NombreRol"] . '</td>';
                            echo '<td>' . $unRegistro["AutoresRol"] . '</td>';
                            echo '<td>' . $unRegistro["CategoriasRol"] . '</td>';
                            echo '<td>' . $unRegistro["ColeccionesRol"] . '</td>';
                            echo '<td>' . $unRegistro["EditorialesRol"] . '</td>';
                            echo '<td>' . $unRegistro["EjemplaresRol"] . '</td>';
                            echo '<td>' . $unRegistro["IdiomasRol"] . '</td>';
                            echo '<td>' . $unRegistro["TiposRol"] . '</td>';
                            echo '<td>' . $unRegistro["LibrosRol"] . '</td>';
                            echo '<td>' . $unRegistro["MultasRol"] . '</td>';
                            echo '<td>' . $unRegistro["PrestamosRol"] . '</td>';
                            echo '<td>' . $unRegistro["RolesRol"] . '</td>';
                            echo '<td>' . $unRegistro["UsuariosRol"] . '</td>';
                            echo '<td>';
                            if ($unRegistro["EstadoRol"] == "1") {
                                echo 'Activo';
                            } else {
                                echo 'Inactivo';
                            }
                           
                            //<!-------------------------------Botones de control---------------------------------->
                            echo '</td><td>';
                            if (strpos('' . $_SESSION['RolesRol'], 'U') === false) {
                            } else {
                                echo '<button title="Actualizar Registro" type="button" class="btn btn-outline-primary"  data-bs-toggle="modal" data-bs-target="#Modal' . $unRegistro["IdRol"] . '">
                                
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-arrow-clockwise" viewBox="0 0 16 16">
                                <path fill-rule="evenodd" d="M8 3a5 5 0 1 0 4.546 2.914.5.5 0 0 1 .908-.417A6 6 0 1 1 8 2v1z"/>
                                <path d="M8 4.466V.534a.25.25 0 0 1 .41-.192l2.36 1.966c.12.1.12.284 0 .384L8.41 4.658A.25.25 0 0 1 8 4.466z"/>
                            </svg>
                            
                              </button>';
                            }

                            if (strpos('' . $_SESSION['RolesRol'], 'D') === false) {
                            } else {
                                echo '<input type="button" class="btn btn-danger" value="X"  title="Eliminar Registro" data-bs-toggle="modal"
                              data-bs-target="#Delete'.$unRegistro["IdRol"].'"></td>';
                            }
                            ?>

                            <!----------------------------------------------------------------------------------------------------------------------------------------------->
                        <!---------------------------------------------------ventana Modal de Eliminar---------------------------------------------------------------->
                            <!----------------------------------------------------------------------------------------------------------------------------------------------->

                        <div class="modal fade" id="Delete<?php echo $unRegistro["IdRol"]; ?>" tabindex="-1" aria-labelledby="exampleModalLabel"
                            aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h1 class="modal-title fs-5" id="exampleModalLabel">Confirmación</h1>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal"
                                            aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        ¿Desea de Eliminar el Registro?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-danger"
                                            data-bs-dismiss="modal">Cancelar</button>
                                        <button type="submit" name="fEnviar" value="X"
                                            class="btn btn-success">Eliminar</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!----------------------------------------------------------------------------------------------------------------------------------------------->
                        <!---------------------------------------------------Formulario Modal de Actualizacion---------------------------------------------------------------->
                            <!----------------------------------------------------------------------------------------------------------------------------------------------->
                        <div class="modal fade modal-lg" id="Modal<?php echo $unRegistro["IdRol"]; ?>" 
                        tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h1 class="modal-title fs-5" id="exampleModalLabel">Actualizar Rol</h1>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal"
                                            aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <form id="fIngresarRol <?php echo $unRegistro["IdRol"]; ?>"
                                            action="../Controlador/ControladorRol.php" method="post">
                                            <div class="container">
                                                <div class="row ">
                                                    <div class="col-6">
                                                        <input type="hidden" name="fIdRol" value="0">
                                                        <label>Nombre: </label> <input required class="form-control"
                                                            type="text" name="fNombreRol"
                                                            value="<?php echo $unRegistro["NombreRol"]; ?>"
                                                            placeholder="Nombre Rol"><br>
                                                        <label>Autor: </label><input class="form-control" type="text"
                                                            name="fAutoresRol"
                                                            value="<?php echo $unRegistro["AutoresRol"]; ?>"
                                                            placeholder="Autor Rol"><br>
                                                        <label>Categoria: </label><input class="form-control"
                                                            type="text" name="fCategoriasRol"
                                                            value="<?php echo $unRegistro["CategoriasRol"]; ?>"
                                                            placeholder="Categoria Rol"><br>
                                                        <label>Colección: </label><input class="form-control"
                                                            type="text" name="fColeccionesRol"
                                                            value="<?php echo $unRegistro["ColeccionesRol"]; ?>"
                                                            placeholder="Colección Rol"><br>
                                                        <label>Editorial: </label><input class="form-control"
                                                            type="text" name="fEditorialesRol"
                                                            value="<?php echo $unRegistro["ColeccionesRol"]; ?>"
                                                            placeholder="EditorialRol"><br>
                                                        <label>Idioma: </label><input class="form-control" type="text"
                                                            name="fIdiomasRol"
                                                            value="<?php echo $unRegistro["IdiomasRol"]; ?>"
                                                            placeholder="Idioma Rol"><br>
                                                        <label>Tipo: </label><input class="form-control" type="text"
                                                            name="fTiposRol"
                                                            value="<?php echo $unRegistro["TiposRol"]; ?>"
                                                            placeholder="Tipo Rol"><br><br>
                                                        <div>
                                                            <input type="Submit" name="fEnviar" value="Actualizar"
                                                                class="btn btn-primary" title="Guardar Datos"
                                                                data-bs-toggle="modal" data-bs-target="#Update">
                                                            <input type="reset" value="Limpiar" class="btn btn-info"
                                                                title="Limpiar Formulario">
                                                            <button type="button" class="btn btn-secondary"
                                                                data-bs-dismiss="modal">Cerrar</button>

                                                        </div>
                                                    </div>
                                                    <div class="col-6">
                                                        <label>Libro: </label> <input class="form-control" type="text"
                                                            name="fLibrosRol"
                                                            value="<?php echo $unRegistro["LibrosRol"]; ?>"
                                                            placeholder="Libro Rol"><br>
                                                        <label>Ejemplar: </label> <input class="form-control"
                                                            type="text" name="fEjemplaresRol"
                                                            value="<?php echo $unRegistro["EjemplaresRol"]; ?>"
                                                            placeholder="Ejemplar Rol"><br>
                                                        <label>Multa: </label><input class="form-control" type="text"
                                                            name="fMultasRol" <?php echo $unRegistro["MultasRol"]; ?>
                                                            placeholder="Multa Rol"><br>
                                                        <label>Prestamo: </label><input class="form-control" type="text"
                                                            name="fPrestamosRol"
                                                            value="<?php echo $unRegistro["PrestamosRol"]; ?>"
                                                            placeholder="Prestamo Rol"><br>
                                                        <label>Rol: </label><input class="form-control" type="text"
                                                            name="fRolesRol"
                                                            value="<?php echo $unRegistro["RolesRol"]; ?>"
                                                            placeholder="Rol Rol"><br>
                                                        <label>Usuario: </label><input class="form-control" type="text"
                                                            name="fUsuariosRol"
                                                            value="<?php echo $unRegistro["UsuariosRol"]; ?>"
                                                            placeholder="Usuario Rol"><br>
                                                        <label></label>Estado: </label>
                                                        <?php
                                                        echo '<select class="form-control" name="fEstadoRol">';
                                                        echo '<option value="1"';
                                                        if ($unRegistro["EstadoRol"] == "1") {
                                                            echo ' selected="selected"';
                                                        }
                                                        echo '>Activo</option>';
                                                        echo '<option value="0"';
                                                        if ($unRegistro["EstadoRol"] == "0") {
                                                            echo ' selected="selected"';
                                                        }
                                                        echo '>Inactivo</option>';

                                                        echo '</select><br>';
                                                        ?>
                                                    </div>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php echo '
                                </form></tr>';
                     
                        }
                        ?>

                    </tbody>
                </table>
                <div id="paginador" class=""></div>
            </div>

        </div>
        <?php
        mysqli_free_result($listarRol);
        $objetoConexion->desconectar($conexion);
        ?>
        <script src="../Assets/JS/buscador.js"></script>
        <script src="../Assets/JS/page.js"></script>
        <script>
            $(document).on('hidden.bs.modal', function (event) {
                if ($('.modal:visible').length) {
                    $('body').addClass('modal-open');
                }
            });
        </script>
    </div>
</body>

</html>